Fórum Ubuntu.cz

Podpora a zdroje => Návody, tipy a triky => Téma založeno: NoWin 10 Listopad 2009, 16:26:17

Název: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 16:26:17
Snad každý z vás ví, že kompilace přináší nejen spoustu výhod, ale také spoustu starostí, jen málokdo se do toho dobrovolně pustí, neboť je třeba doinstalovat si některé kompilátory, spoustu *-dev balíků a hlavně ten někdo musí vědět, jak se co kompiluje, někde totiž nestačí hodit do stroje svatou trojici a pak se těšit na úspěch.

Hlavní výhodou kompilace je, že si ušijete program svému stroji na míru, ten pak může poskytnout vyšší výkon, rychlost i stabilitu, ale, jak jsem zjistil, i nové funkce.

Většinu nevýhod kompilace odstraňuje program
apt-build. Sám se postará o získání potřebných balíků, sám si zkompiluje, sám vytvoří DEB balík, sám vytvoří lokální repozitář, sám nainstaluje.

Funkce, co vám apt-builb nabídne
Kód: [Vybrat]
Commands:
  update            - Update package lists
  upgrade           - Perform an upgrade
  install           - Build and install new packages
  source            - Download and extract source in build directory
  build-source      - Download, extract and build source package
  update-source     - Update all sources and rebuild them
  remove            - Remove packages
  build-repository  - Rebuild the repository
  clean-sources     - Clean up all object files in source directories
  clean-build       - Erase downloaded packages and temporary build files
  clean-repository  - Erase downloaded packages and temporary build files
  world             - Rebuild and reinstall all packages on your system
  info              - Build-related package information

Options:
  --reinstall       - Re-build and install already installed package
  --rebuild         - Rebuild package
  --remove-builddep - Remove build-dependencies installed by apt-build
  --nowrapper       - Do not use gcc/g++ wrapper
  --purge           - Use purge instead of remove
  --noupdate        - Do not run 'apt-get update' before package installation
  --build-command   - Use <command> to build package
  --patch <file>    - Apply patch <file>s before the build
  --patch-strip     - Striplevel for the patch files
  --yes         -y  - Assume yes
  --version     -v  - Show version and exit
  --force-yes       - Force yes
  --source          - Do not download source (sources are extracted already)
  --build-only      - Do not install any of build dependencies or <package>
  --build-dir       - Specify build dir
  --repository-dir  - Specify the repository directory
  --target-release  - Distribution to fetch packages from
  --sources-list    - Specify sources.list file
  --apt-get         - Specify an alternative apt-get application to use
  --apt-cache       - Specify an alternative apt-cache application to use
  --config          - Specify an alternative configuration file

Manuál:
Kód: [Vybrat]
APT-BUILD(1)                                                                                                                                                  APT-BUILD(1)



NAME
       apt-build - Fetch sources and build packages optimized for your architecture.

SYNOPSIS
       apt-build [ options ] [ update ] [ upgrade ] [ world ] [ install pkg ] [ remove pkg ] [ info pkg ]

DESCRIPTION
       apt-build is an apt-get frontend to build and install architecture optimized packages.

COMMANDS
       update Retrieve new lists of packages

       upgrade
              Perform an upgrade

       world  Rebuild your system

       install
              Build and install new packages

       source Download and extract source in the build directory

       info   Info on a package which could be built

       remove Remove packages

       clean-build
              Erase built packages

       clean-sources
              Call debian/rules clean in source directories

       build-source
              Build source without installing them

       update-source
              Update sources and rebuild them if they are missing in the repository

       build-repository
              Rebuild the repository

OPTIONS
       --help
              Shows help

       --nowrapper
              Do not use the gcc wrapper

       --remove-builddep
              Remove build-dependencies installed by apt-build

       --no-source
              Don't download source

       --build-dir
              Specify build-dir

       --build-only
              Build package only

       --rebuild
              Rebuild a package

       --reinstall
              Build and install an already installed package

       --build-command <command>
              Use this command to build package

       --patch <file>
              Apply this patch before build (you can use this option one or several times)

       --patch-strip, -p <number>
              Prefix to strip on patch (0 = -p0, 1 = -p1 ...)

       --yes, -y
              Assume yes

       --purge
              Use purge instead of remove

       --noupdate
              Do not run 'apt-get update' before package installation

       --sources-list
              Specify sources.list file

       --apt-get
              Specify an alternative apt-get command

       --apt-cache
              Specify an alternative apt-cache command

       --force-yes
              Force yes

       --source
              Do not download source (sources are extracted already)

       --repository-dir
              Specify the repository directory

       --target-release
              Distribution to fetch packages from

       --config
              Specify an alternative configuration file

       --version, -v
              Show version

BUGS
       Many.

AUTHOR
       apt-build was written by Julien Danjou <acid@debian.org> with many contributors.



3rd Berkeley Distribution                                                      November 2003                                                                  APT-BUILD(1)

1) Jak jej získat?
Kód: [Vybrat]
sudo apt-get install apt-build
Debconf se vás při instalaci zeptá:
1) Kam stahovat a sestavovat balíky (výchozí: /var/cache/apt-build/build)
2) Kde vytvořit lokální repozitář (výchozí: /var/cache/apt-build/repository) - pokud to není nutné, neměňte. Platí i pro předchozí bod.
3) Jak silnou optimalizaci při kompilaci má použít- lehkou, střední a silnou. Já sice používám silnou (také to dlouho trvá), vy radši sáhněte po střední.
4) Jestli přidat lokální repozitář do sources.list- odpovězte kladně
5) Volby pro GCC a Make- pokud nevíte, nic tam nepište
6) Architektura vašeho procesoru- pokud nevíte, zeptejte se tady (mám navoleno core2 - dvoujádro od Intelu).

2) Let's go!

Pokud jste se rozhodli tento nástroj použít a máte dost času (kompilace trvá dlouho, někdy pár minut, jindy až několik hodin!), směle do toho!
Většinou se apt-build používá stejně jako apt-get, tzn.:
apt-build install --reinstall nazevbaliku - instalace / reinstalace stávajícího programu programem osobně kompilovaným (použijte radši i volbu --reinstall, je to jistější. Díky za tip GdHíčkovi)
apt-build update = apt-get update - aktualizace databáze balíků
apt-build upgrade - aktualizace aktualizovatelných balíků
atd.
apt-build clean-sources - vyčistí složku sources
apt-build clean-build / apt-build clean-repository - vyčistí lokální repozitář
3) FAQ:
Q: Co se stane, když se něco při kompilaci nepovede?
A: Nic, balík se nevytvoří a tím pádem se ani nenainstaluje

Q: Co tím získám?
A: Některé programy budou o dost rychlejší, můžou být i stabilnější (zkuste na PulseAudio a dejte sem report ;)), u některých aplikací přibudou extra funkce- toho jsem si ráčil všimnout u Nautila, už dlouho mne defekovalo, že tam nemohu používat myší tlačítka vpřed/zpět- nyní je používat mohu :)

Q: Mám z toho strach...
A: Pak zemřeš pomalu a v krutých bolestech s vědomím, žes nic nedokázal


Tip:
Pokud chcete originální spořič obrazovky, nastavte si v Terminálu černé pozadí, zelené písmo, hoďte do /dev/null toolbar a posuvník a pomocí klávesy [F11] uveďte Terminál do fullscreenu.
Výsledek: (http://img301.imageshack.us/img301/1591/matrixm.th.png) (http://img301.imageshack.us/i/matrixm.png/)
Matrix  8)

Přepsáno na spisovnou češtinu, odstraněny výrazy urážející Američany
Název: Re: apt-get? Zapomeňte!
Přispěvatel: Martin 'Želva' Malý 10 Listopad 2009, 17:27:15
FAQ
4/ Q: Já mám dost slabej, nevýkonnej ~10 let starej procesor, vyplatí se to?
Název: Re: apt-get? Zapomeňte!
Přispěvatel: NoWin 10 Listopad 2009, 17:40:57
FAQ
4/ Q: Já mám dost slabej, nevýkonnej ~10 let starej procesor, vyplatí se to?
A: Sice nemám k dispozici stroj s archaickým CPU, ale myslím si, že to vyplatí a ne málo. Kompilace sice bude pomalá, ale zase když si hodíš Terminál do fullscreenu, nastavíš v něm černý pozadí a zelený písmo, budeš mít během kompilace unikátní spořič obrazovky à la Matrix  8)  ;D
Název: Re: apt-get? Zapomeňte!
Přispěvatel: airlive 10 Listopad 2009, 17:45:05
4@Roman Horník  
dobrá práce K+ ;)

Hm,tak později,mám vybranej limit na aplaus,ale neboj já nezapomenu.  :D
Název: Re: apt-get? Zapomeňte!
Přispěvatel: NoWin 10 Listopad 2009, 17:50:55
4@Roman Horník  
dobrá práce K+ ;)

Hm,tak později,mám vybranej limit na aplaus,ale neboj já nezapomenu.  :D
Ale huš, já nechci karmu, já chci prachy! :P ;D

Jo a díky ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Krysař 10 Listopad 2009, 18:38:18
Hmmm...
Kód: [Vybrat]
sudo apt-build worldJak dlouho to asi pojede? ? ?  :) :D ;D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 18:39:22
Hmmm...
Kód: [Vybrat]
sudo apt-build worldJak dlouho to asi pojede? ? ?  :) :D ;D
Dlóóóóóóuho... ;D ;D ;D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: qUAKER 10 Listopad 2009, 19:02:16
Hmmm...
Kód: [Vybrat]
sudo apt-build worldJak dlouho to asi pojede? ? ?  :) :D ;D
Dlóóóóóóuho... ;D ;D ;D

že bych to zkusil?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Yontalcar 10 Listopad 2009, 19:06:19
ono už to použitelným způsobem funguje? skvělé!
(na Portage to beztak zatím nemá 8) začínám znovu uvažovat o Gentoo...)

Citace: man 1 apt-build
BUGS
       Many.
:( :-\

ad architektura CPU:
já tam k8-sse3 měl
jinak viz http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options (http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options)

Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 19:10:28
Hmmm...
Kód: [Vybrat]
sudo apt-build worldJak dlouho to asi pojede? ? ?  :) :D ;D
Dlóóóóóóuho... ;D ;D ;D

že bych to zkusil?
On samotnej příkaz apt-build world ani nefunguje, ale... koukni sem (http://polishlinux.org/linux/debian/apt-build-optimize-debian/) ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 19:19:42
ono už to použitelným způsobem funguje? skvělé!
(na Portage to beztak zatím nemá 8) začínám znovu uvažovat o Gentoo...)

Citace: man 1 apt-build
BUGS
       Many.
:( :-\

ad architektura CPU:
já tam k8-sse3 měl
jinak viz http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options (http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options)
No zatím se mi nic neposralo (musím zaklepat) :)
Na Portage to nemá, pravda, ale i tak je to výbornej nástroj ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: arrange 10 Listopad 2009, 20:00:27
To je tvůj překlad manuálové stránky apt-buildu  ???  ;D

Ta tvoje namyšlenost mě pomalu začíná bavit :) Jen tak dál! Více RHáček na fórum! K+!
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 20:22:50
To je tvůj překlad manuálové stránky apt-buildu  ???  ;D
Ne, jen jsem se snažil vysvětlit pár důležitých funkcí, aby to průměrně inteligentní lidi pochopili i bez znalosti angličtiny a mohli to používat.
Ta tvoje namyšlenost mě pomalu začíná bavit :) Jen tak dál!
Já že jsem namyšlenej?! Možná jsem sadistická, sarkastická, egoistická, metalistická kurva, ale namyšlenej nejsem! Můžu já snad za to, že jsem mladej, krásnej, fousy mi rostou směrem na sever, mám ideální poměr vejška/váha (181cm/108kg), že jsem dyslektik, dysgrafik a génius? Ne, tak se do mně nenavážej! Dokonalej jsem od přírody, fakt za to nemůžu!  :-\
Více RHáček na fórum! K+!
To jako Hulána? :P

 ;D ;D ;D


Díky :)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Robert1106 10 Listopad 2009, 20:56:12
hmm ako vam to funguje? skusal som hugin, blender a nejde to skompilovat.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 21:16:11
hmm ako vam to funguje? skusal som hugin, blender a nejde to skompilovat.
Hugina mám zkompilovanýho klasickým způsobem [návod (http://wiki.panotools.org/Hugin_Compiling_ubuntu)], Blender nepoužívám. Úspěšně jsem to vyzkoušel na:
Totem
Nautilus
GNOME Panel
GIMP
APT, Aptitude, Synaptic
částečně GNOME
BIND9
DebConf
GPartEd
Apache2
Me TV
ALSA
několik knihoven atd.

Na něčem to jít nemusí, třeba to vyžaduje zvláštní volby pro GCC a/nebo Make.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Robert1106 10 Listopad 2009, 21:45:37
aha dik blender skusim zo zdrojakou z netu. Inak Sun java ide tiez skompilovat  ;D . Inak neda sa nejak skompilovat cele ubuntu?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 21:53:34
aha dik blender skusim zo zdrojakou z netu. Inak Sun java ide tiez skompilovat  ;D . Inak neda sa nejak skompilovat cele ubuntu?
Jak to myslíš? Jen balíky, který máš aktuálně nainstalovaný? Jde to (podívej se na mou reakci na Quakera), ALE může to trvat i několik tejdnů, možná i měsíců. Opravdu to chceš? ;D
To radši bych zkompiloval všechny nainstalovaný knihovny a pár aplikací, pak bych jen kompiloval (pomocí apt-build upgrade) aktualizace a to před spaním (u někoho večer, u mně ráno).
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 10 Listopad 2009, 21:54:22
aha dik blender skusim zo zdrojakou z netu. Inak Sun java ide tiez skompilovat  ;D . Inak neda sa nejak skompilovat cele ubuntu?

 ;D

Tak jo idem to zkusit na něčem nepotřebném. Tak točíme, točíme... ááá Totem!  ;D

Tak už to konfiguruje zatížení zatím len 50% :( To je nudá!

Zkusím u teho hrát Trem.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 22:07:48
aha dik blender skusim zo zdrojakou z netu. Inak Sun java ide tiez skompilovat  ;D . Inak neda sa nejak skompilovat cele ubuntu?

 ;D

Tak jo idem to zkusit na něčem nepotřebném. Tak točíme, točíme... ááá Totem!  ;D

Tak už to konfiguruje zatížení zatím len 50% :( To je nudá!

Zkusím u teho hrát Trem.
Mně to zatěžuje jen jedno jádro, na CPU mám kolem 60°C. Já chci topit víc, ať můžu vypnout kokotel ;D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 10 Listopad 2009, 22:48:25
Kód: [Vybrat]
atd...
if test -e $i.cdbs-orig ; then \
mv $i.cdbs-orig $i ; \
fi ; \
done
dh_clean
rm -f debian/stamp-autotools-files
test -d . && cd . && \
 rm -f intltool-extract intltool-merge intltool-update po/.intltool-merge-cache; \
 if test -d doc; then find doc -name '*.omf.out' -exec rm -f \{\} \; ; fi; \
 if test -d help; then find help -name '*.omf.out' -exec rm -f \{\} \; ; fi
/usr/bin/make -f debian/rules reverse-config
make[1]: Entering directory `/var/cache/apt-build/build/totem-2.28.1'
for i in ./config.guess ./config.sub  ; do \
if test -e $i.cdbs-orig ; then \
mv $i.cdbs-orig $i ; \
fi ; \
done
make[1]: Leaving directory `/var/cache/apt-build/build/totem-2.28.1'
if [ -d "." ]; then \
 cd . && QUILT_PATCHES=/var/cache/apt-build/build/totem-2.28.1/debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2 ; \
fi
Removing patch 91_git_change_fix_dvb_issue.patch
Restoring src/backend/bacon-video-widget-gst-0.10.c

Removing patch 90_autotools.patch
Restoring help/bg/Makefile.in
Restoring help/Makefile.in
Restoring configure
Restoring lib/Makefile.in
Restoring config.h.in
Restoring docs/reference/Makefile.in
Restoring docs/Makefile.in
Restoring bindings/python/Makefile.in
Restoring bindings/Makefile.in
Restoring bindings/vala/Makefile.in
Restoring browser-plugin/Makefile.in
Restoring aclocal.m4
Restoring data/Makefile.in
Restoring data/icons/24x24/Makefile.in
Restoring data/icons/22x22/Makefile.in
Restoring data/icons/scalable/Makefile.in
Restoring data/icons/32x32/Makefile.in
Restoring data/icons/48x48/Makefile.in
Restoring data/icons/16x16/Makefile.in
Restoring data/icons/Makefile.in
Restoring Makefile.in
Restoring src/backend/Makefile.in
Restoring src/Makefile.in
Restoring src/plugins/brasero-disc-recorder/Makefile.in
Restoring src/plugins/thumbnail/Makefile.in
Restoring src/plugins/gromit/Makefile.in
Restoring src/plugins/pythonconsole/Makefile.in
Restoring src/plugins/publish/Makefile.in
Restoring src/plugins/galago/Makefile.in
Restoring src/plugins/totem/Makefile.in
Restoring src/plugins/media-player-keys/Makefile.in
Restoring src/plugins/opensubtitles/Makefile.in
Restoring src/plugins/bbc/Makefile.in
Restoring src/plugins/youtube/Makefile.in
Restoring src/plugins/screensaver/Makefile.in
Restoring src/plugins/properties/Makefile.in
Restoring src/plugins/sample-python/Makefile.in
Restoring src/plugins/skipto/Makefile.in
Restoring src/plugins/jamendo/Makefile.in
Restoring src/plugins/sidebar-test/Makefile.in
Restoring src/plugins/ontop/Makefile.in
Restoring src/plugins/bemused/Makefile.in
Restoring src/plugins/Makefile.in
Restoring src/plugins/coherence_upnp/Makefile.in
Restoring src/plugins/mythtv/Makefile.in
Restoring src/plugins/sample-vala/Makefile.in
Restoring src/plugins/dbus-service/Makefile.in
Restoring src/plugins/lirc/Makefile.in
Restoring src/plugins/screenshot/Makefile.in
Restoring src/plugins/tracker/Makefile.in
Restoring src/plugins/iplayer/Makefile.in

Removing patch 71_totem_python_gil.patch
Restoring src/plugins/totem-python-plugin.c

Removing patch 70_bbc_plugin.patch
Restoring bindings/python/totem.defs
Restoring configure.in
Restoring po/POTFILES.in
Removing src/plugins/bbc/bbc.py
Removing src/plugins/bbc/Makefile.am
Removing src/plugins/bbc/genres.py
Removing src/plugins/bbc/installablecodecs.py
Removing src/plugins/bbc/contentview.py
Removing src/plugins/bbc/bbc.totem-plugin.in
Removing src/plugins/bbc/Makefile.in

Removing patch 04_desktop_gettext_domain.patch
Restoring data/totem.desktop.in.in.in

Removing patch 03_screensaver_preferences.patch
Restoring src/totem-preferences.c

Removing patch 02_lpi.patch
Restoring data/totem.ui
Restoring configure.in
Restoring src/totem-menu.c

Removing patch 01_fake_keypresses.patch
Restoring lib/totem-scrsaver.c

No patches applied
rm -rf ./.pc
rm -f debian/stamp-patch*
rm -f debian/cdbs-install-list debian/cdbs-package-list
sed "s/@GNOME_TEAM@/Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>/" \
debian/control.in > debian/control
-----> Moving packages to repository <-----
-----> Building repository <-----
-----> Updating package lists <-----

atd...
Cíl http://archive.ubuntu.com karmic-security/multiverse Packages
Cíl http://archive.ubuntu.com karmic-security/multiverse Sources
Čtu seznamy balíků... Hotovo
Čtu seznamy balíků... Hotovo
Vytvářím strom závislostí      
Čtu stavové informace... Hotovo
totem je již nejnovější verze.
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 0 neaktualizováno.


Jak poznám, že mám tu zkompilovanou verzi nainstalovanou?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 23:05:55
Kód: [Vybrat]
atd...
if test -e $i.cdbs-orig ; then \
mv $i.cdbs-orig $i ; \
fi ; \
done
dh_clean
rm -f debian/stamp-autotools-files
test -d . && cd . && \
 rm -f intltool-extract intltool-merge intltool-update po/.intltool-merge-cache; \
 if test -d doc; then find doc -name '*.omf.out' -exec rm -f \{\} \; ; fi; \
 if test -d help; then find help -name '*.omf.out' -exec rm -f \{\} \; ; fi
/usr/bin/make -f debian/rules reverse-config
make[1]: Entering directory `/var/cache/apt-build/build/totem-2.28.1'
for i in ./config.guess ./config.sub  ; do \
if test -e $i.cdbs-orig ; then \
mv $i.cdbs-orig $i ; \
fi ; \
done
make[1]: Leaving directory `/var/cache/apt-build/build/totem-2.28.1'
if [ -d "." ]; then \
 cd . && QUILT_PATCHES=/var/cache/apt-build/build/totem-2.28.1/debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2 ; \
fi
Removing patch 91_git_change_fix_dvb_issue.patch
Restoring src/backend/bacon-video-widget-gst-0.10.c

Removing patch 90_autotools.patch
Restoring help/bg/Makefile.in
Restoring help/Makefile.in
Restoring configure
Restoring lib/Makefile.in
Restoring config.h.in
Restoring docs/reference/Makefile.in
Restoring docs/Makefile.in
Restoring bindings/python/Makefile.in
Restoring bindings/Makefile.in
Restoring bindings/vala/Makefile.in
Restoring browser-plugin/Makefile.in
Restoring aclocal.m4
Restoring data/Makefile.in
Restoring data/icons/24x24/Makefile.in
Restoring data/icons/22x22/Makefile.in
Restoring data/icons/scalable/Makefile.in
Restoring data/icons/32x32/Makefile.in
Restoring data/icons/48x48/Makefile.in
Restoring data/icons/16x16/Makefile.in
Restoring data/icons/Makefile.in
Restoring Makefile.in
Restoring src/backend/Makefile.in
Restoring src/Makefile.in
Restoring src/plugins/brasero-disc-recorder/Makefile.in
Restoring src/plugins/thumbnail/Makefile.in
Restoring src/plugins/gromit/Makefile.in
Restoring src/plugins/pythonconsole/Makefile.in
Restoring src/plugins/publish/Makefile.in
Restoring src/plugins/galago/Makefile.in
Restoring src/plugins/totem/Makefile.in
Restoring src/plugins/media-player-keys/Makefile.in
Restoring src/plugins/opensubtitles/Makefile.in
Restoring src/plugins/bbc/Makefile.in
Restoring src/plugins/youtube/Makefile.in
Restoring src/plugins/screensaver/Makefile.in
Restoring src/plugins/properties/Makefile.in
Restoring src/plugins/sample-python/Makefile.in
Restoring src/plugins/skipto/Makefile.in
Restoring src/plugins/jamendo/Makefile.in
Restoring src/plugins/sidebar-test/Makefile.in
Restoring src/plugins/ontop/Makefile.in
Restoring src/plugins/bemused/Makefile.in
Restoring src/plugins/Makefile.in
Restoring src/plugins/coherence_upnp/Makefile.in
Restoring src/plugins/mythtv/Makefile.in
Restoring src/plugins/sample-vala/Makefile.in
Restoring src/plugins/dbus-service/Makefile.in
Restoring src/plugins/lirc/Makefile.in
Restoring src/plugins/screenshot/Makefile.in
Restoring src/plugins/tracker/Makefile.in
Restoring src/plugins/iplayer/Makefile.in

Removing patch 71_totem_python_gil.patch
Restoring src/plugins/totem-python-plugin.c

Removing patch 70_bbc_plugin.patch
Restoring bindings/python/totem.defs
Restoring configure.in
Restoring po/POTFILES.in
Removing src/plugins/bbc/bbc.py
Removing src/plugins/bbc/Makefile.am
Removing src/plugins/bbc/genres.py
Removing src/plugins/bbc/installablecodecs.py
Removing src/plugins/bbc/contentview.py
Removing src/plugins/bbc/bbc.totem-plugin.in
Removing src/plugins/bbc/Makefile.in

Removing patch 04_desktop_gettext_domain.patch
Restoring data/totem.desktop.in.in.in

Removing patch 03_screensaver_preferences.patch
Restoring src/totem-preferences.c

Removing patch 02_lpi.patch
Restoring data/totem.ui
Restoring configure.in
Restoring src/totem-menu.c

Removing patch 01_fake_keypresses.patch
Restoring lib/totem-scrsaver.c

No patches applied
rm -rf ./.pc
rm -f debian/stamp-patch*
rm -f debian/cdbs-install-list debian/cdbs-package-list
sed "s/@GNOME_TEAM@/Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>/" \
debian/control.in > debian/control
-----> Moving packages to repository <-----
-----> Building repository <-----
-----> Updating package lists <-----

atd...
Cíl http://archive.ubuntu.com karmic-security/multiverse Packages
Cíl http://archive.ubuntu.com karmic-security/multiverse Sources
Čtu seznamy balíků... Hotovo
Čtu seznamy balíků... Hotovo
Vytvářím strom závislostí      
Čtu stavové informace... Hotovo
totem je již nejnovější verze.
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 0 neaktualizováno.


Jak poznám, že mám tu zkompilovanou verzi nainstalovanou?
To jsem ještě nevykoumal, možná bys mohl zkusit zakomentovat v sources.list všechny repa krom Tvýho lokálního, pak sudo apt-get update a v Synapticu se podívat na stav balíků ze svýho repa.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 10 Listopad 2009, 23:20:25
Prave jsem omylem prevedl do wavu data nakyho programu nečeho a vznikl sum... a malem mi to urvalo uši!  ::) Ted si dam chvilku pauzu a pak to zkusim.  ;D

PS: Jak asi šumí.... ?

Nemozu najit ten mistni zdroj v sources.

Totem podle Synapticu mám verzi 2.28.1-0ubuntu4.
Nemělo by tam být něco jiného než Ubuntu?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 10 Listopad 2009, 23:31:16
Ve /var/cache/apt-build/repository mám nějaké DEB balíčky např. totem_2.28.1-0ubuntu4_amd64.deb atd.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 23:35:18
Prave jsem omylem prevedl do wavu data nakyho programu nečeho a vznikl sum... a malem mi to urvalo uši!  ::) Ted si dam chvilku pauzu a pak to zkusim.  ;D

PS: Jak asi šumí.... ?

Nemozu najit ten mistni zdroj v sources.

Totem podle Synapticu mám verzi 2.28.1-0ubuntu4.
Nemělo by tam být něco jiného než Ubuntu?
Tak do sources.list přidej:
Kód: [Vybrat]
deb file:/var/cache/apt-build/repository apt-build mainapt-build nemění názvy balíků.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 10 Listopad 2009, 23:35:59
Ve /var/cache/apt-build/repository mám nějaké DEB balíčky např. totem_2.28.1-0ubuntu4_amd64.deb atd.
To je správně, to je Tvůj repozitář.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 10 Listopad 2009, 23:37:00
Pak jsem ještě našel

Kód: [Vybrat]
Format: 1.8
Date: Tue, 10 Nov 2009 22:03:56 +0100
Source: totem
Binary: totem totem-mozilla totem-common totem-dbg totem-plugins totem-plugins-extra totem-xine totem-gstreamer
Architecture: all amd64
Version: 2.28.1-0ubuntu4
Distribution: karmic
Urgency: low
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Changed-By: root <root@panter>
Description:
 totem      - A simple media player for the GNOME desktop based on GStreamer
 totem-common - Data files for the Totem media player
 totem-dbg  - Debugging symbols for the Totem media player
 totem-gstreamer - A simple media player for the GNOME desktop (transitional package
 totem-mozilla - Totem Mozilla plugin
 totem-plugins - Plugins for the Totem media player
 totem-plugins-extra - Extra plugins for the Totem media player
 totem-xine - A simple media player for the GNOME desktop (transitional package
Changes:
 totem (2.28.1-0ubuntu4) karmic; urgency=low
 .
   [ Robert Ancell ]
   * debian/patches/03_screensaver_preferences.patch:
     - Fix logic on "Also disable the screensaver when playing audio" preference
       (LP: #448456)
 .
   [ root ]
   * Built by apt-build
   * Build options: -O3 -mtune=athlon64-sse3
Checksums-Sha1:
 fb907aa152f09eee7f270128a058090c19db6bd4 2844538 totem-common_2.28.1-0ubuntu4_all.deb
 594ef28e28885aa660e78a57bc32bc25ac20c011 51906 totem-xine_2.28.1-0ubuntu4_all.deb
 f10bc98269f23373bf038bdfc634c2a2e55fde9f 51910 totem-gstreamer_2.28.1-0ubuntu4_all.deb
 c58587fefa140a32e045b1d427208cc895e093e2 558928 totem_2.28.1-0ubuntu4_amd64.deb
 707b06a4dcf50133f980f6bd76e8e47a4f231aa8 187760 totem-mozilla_2.28.1-0ubuntu4_amd64.deb
 c85f2151894edc4be6ab6374f24a49eff52b45e5 1848314 totem-dbg_2.28.1-0ubuntu4_amd64.deb
 bc998562cdd9e636533434b932d1bb6d4ece8fe3 212978 totem-plugins_2.28.1-0ubuntu4_amd64.deb
 e93724efc375b4c7d574f0ffc5baf535205a8327 115806 totem-plugins-extra_2.28.1-0ubuntu4_amd64.deb
Checksums-Sha256:
 a821048c33a2d96dfa6367a1014d5230fe845c80a8bc3f6399aade2e08884404 2844538 totem-common_2.28.1-0ubuntu4_all.deb
 c3552db2a1f5ce2cb96ad4c698511a110b2e4e99330b9086bb98783fd53d4a50 51906 totem-xine_2.28.1-0ubuntu4_all.deb
 921c6c787ae81af44cd360a6c127d02b5017914219d024bf857ae6e64752c8bd 51910 totem-gstreamer_2.28.1-0ubuntu4_all.deb
 20ce7c6afa6fc585530ba0fdae2946da74dec6cf11d7cb21eabb4aef1a19eb30 558928 totem_2.28.1-0ubuntu4_amd64.deb
 018c60cd8f41ee621199f8b90026a00f309741a7860b080ab4595c0b5053739e 187760 totem-mozilla_2.28.1-0ubuntu4_amd64.deb
 6ae87b556faafe884700bc02b3f3d6baaf838699aaade5b463499c9dab3359e1 1848314 totem-dbg_2.28.1-0ubuntu4_amd64.deb
 ca79b061a23ba4cb31494967f27234e94451eb143ef7b2764fc37424a9bbdc48 212978 totem-plugins_2.28.1-0ubuntu4_amd64.deb
 5e3eed5f6418eb651bc2789d99f54a9b293da187fd9e37807f934560741797c0 115806 totem-plugins-extra_2.28.1-0ubuntu4_amd64.deb
Files:
 af71b5bdae4d79270067a9717b89a614 2844538 gnome optional totem-common_2.28.1-0ubuntu4_all.deb
 1fc8558d1acb758e8a337454f68e0738 51906 gnome optional totem-xine_2.28.1-0ubuntu4_all.deb
 a55d2a0a4cd6fe12b67189691a4b6111 51910 gnome optional totem-gstreamer_2.28.1-0ubuntu4_all.deb
 e26c20e2f830231268a40a93436685b3 558928 gnome optional totem_2.28.1-0ubuntu4_amd64.deb
 218f7aca1841dad8a14f58d090ce1dec 187760 web optional totem-mozilla_2.28.1-0ubuntu4_amd64.deb
 4ae08e3c2393e3db39df09cd991a8bab 1848314 libdevel extra totem-dbg_2.28.1-0ubuntu4_amd64.deb
 fda3624c8b006dd784868e4a8df49dac 212978 gnome optional totem-plugins_2.28.1-0ubuntu4_amd64.deb
 2b95437ed3aa621021a15b74c24d8db2 115806 gnome optional totem-plugins-extra_2.28.1-0ubuntu4_amd64.deb
Launchpad-Bugs-Fixed: 448456
Original-Maintainer: Sebastien Bacher <seb128@debian.org>

ve /var/cache/apt-build/build
soubor totem blabla .changes

Je to divné. Teď jsem zrušil ostatní internetový sources a aktualizoval... a už je tam. Asi to chtělo přímo od něj update :) Nj špatně jsem pochopil návod.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: apollo 11 Listopad 2009, 09:24:15
6) architektura vašeho procesoru- zdá se, že tam jsou pouze architektury Intelu (alespoň u mně; mám navoleno core2).

Potrebujem poradit -  rad by som si zvolil architekturu co najblizsie k mojmu CPU. Hladal som na nete a k nicomu konkretnemu som sa nedostal (mozno som zle hladal - nevylucujem). Mam dvojjadro Intel Pentium Dual CPU T3400 2.16GHz (notes), ktora z moznosti ponukanych pre gcc je pre mna najvhodnejsia? (moj tip i686, ale ak by bola vhodnejsia niektora ina, prosim opravte ma). Thx.

Este som zabudol prihodit listing:
Kód: [Vybrat]
zeus@olymp:~$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Pentium(R) Dual  CPU  T3400  @ 2.16GHz
stepping : 13
cpu MHz : 1000.000
cache size : 1024 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 2
apicid : 0
initial apicid : 0
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni dtes64 monitor ds_cpl est tm2 ssse3 cx16 xtpr pdcm lahf_lm
bogomips : 4321.97
clflush size : 64
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Pentium(R) Dual  CPU  T3400  @ 2.16GHz
stepping : 13
cpu MHz : 1000.000
cache size : 1024 KB
physical id : 0
siblings : 2
core id : 1
cpu cores : 2
apicid : 1
initial apicid : 1
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni dtes64 monitor ds_cpl est tm2 ssse3 cx16 xtpr pdcm lahf_lm
bogomips : 4322.50
clflush size : 64
power management:
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Evžen Šubrt 11 Listopad 2009, 10:31:09
Supr návod, o takové možnosti jsem nevěděl a nejspíš ji u "kousků" využiju! (K+)

Jinak chlape, vážně je nutný používat všechno to exkrementální výrazivo?? (K-)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: GdH 11 Listopad 2009, 11:22:29
Milý Horníčku, toto je opravdu pěkná hračka, máš ŽETÓN!  ;D

Nebylo by dobré zmínit v návodu, že pokud chci nahradit stávající instalaci balíku, balíkem rekompilovaným stejné verze, musím napsat sudo apt-build install --reinstall balík? Jinak si budou někteří uživatelé jen plnit repo.
Název: Re: apt-get? Zapomeňte!
Přispěvatel: airlive 11 Listopad 2009, 11:46:43
4@Roman Horník  
dobrá práce K+ ;)

Hm,tak později,mám vybranej limit na aplaus,ale neboj já nezapomenu.  :D

Slib splněn ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 11 Listopad 2009, 12:21:18
6) architektura vašeho procesoru- zdá se, že tam jsou pouze architektury Intelu (alespoň u mně; mám navoleno core2).

Potrebujem poradit -  rad by som si zvolil architekturu co najblizsie k mojmu CPU. Hladal som na nete a k nicomu konkretnemu som sa nedostal (mozno som zle hladal - nevylucujem). Mam dvojjadro Intel Pentium Dual CPU T3400 2.16GHz (notes), ktora z moznosti ponukanych pre gcc je pre mna najvhodnejsia? (moj tip i686, ale ak by bola vhodnejsia niektora ina, prosim opravte ma). Thx.

Este som zabudol prihodit listing:
Kód: [Vybrat]
zeus@olymp:~$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Pentium(R) Dual  CPU  T3400  @ 2.16GHz
stepping : 13
cpu MHz : 1000.000
cache size : 1024 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 2
apicid : 0
initial apicid : 0
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni dtes64 monitor ds_cpl est tm2 ssse3 cx16 xtpr pdcm lahf_lm
bogomips : 4321.97
clflush size : 64
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Pentium(R) Dual  CPU  T3400  @ 2.16GHz
stepping : 13
cpu MHz : 1000.000
cache size : 1024 KB
physical id : 0
siblings : 2
core id : 1
cpu cores : 2
apicid : 1
initial apicid : 1
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni dtes64 monitor ds_cpl est tm2 ssse3 cx16 xtpr pdcm lahf_lm
bogomips : 4322.50
clflush size : 64
power management:
Máš-li dvoujádro, zvol core2 ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 11 Listopad 2009, 12:23:08
Supr návod, o takové možnosti jsem nevěděl a nejspíš ji u "kousků" využiju! (K+)

Jinak chlape, vážně je nutný používat všechno to exkrementální výrazivo?? (K-)
Sorry za můj hrubší slovník, píšu tak, jak mi zobák narost'. Požaduješ-li ode mne spisovnou češtinu, budiž.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: apollo 11 Listopad 2009, 12:24:23
to Roman Hornik: vdaka (a potlesk za prispevok), sam som si nebol isty...
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 11 Listopad 2009, 12:27:10
Milý Horníčku, toto je opravdu pěkná hračka, máš ŽETÓN!  ;D

Nebylo by dobré zmínit v návodu, že pokud chci nahradit stávající instalaci balíku, balíkem rekompilovaným stejné verze, musím napsat sudo apt-build install --reinstall balík? Jinak si budou někteří uživatelé jen plnit repo.
Milý GdHíčku ;D,
díky za info i za (http://www.karma-as.cz/content/image.php?uid=4519364057db2&size=th), mně to ale funguje i bez --reinstall, ale na Ubuntu to jít nemusí. Návod opravím ;)
Název: Re: apt-get? Zapomeňte!
Přispěvatel: NoWin 11 Listopad 2009, 12:27:44
4@Roman Horník  
dobrá práce K+ ;)

Hm,tak později,mám vybranej limit na aplaus,ale neboj já nezapomenu.  :D

Slib splněn ;)
Díky!
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Evžen Šubrt 11 Listopad 2009, 12:33:25
Sorry za můj hrubší slovník, píšu tak, jak mi zobák narost'. Požaduješ-li ode mne spisovnou češtinu, budiž.
Bylo to spíš takový rýpnutí ;) V normálním příspěvku by mi to ani tak nevadilo, ale tento se tváří jako návod, který by se bez hrubších výrazů dal použít na wiki či v nějaké Ubuntu příručce.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 11 Listopad 2009, 12:43:29
Sorry za můj hrubší slovník, píšu tak, jak mi zobák narost'. Požaduješ-li ode mne spisovnou češtinu, budiž.
Bylo to spíš takový rýpnutí ;) V normálním příspěvku by mi to ani tak nevadilo, ale tento se tváří jako návod, který by se bez hrubších výrazů dal použít na wiki či v nějaké Ubuntu příručce.
Evžene, už jsem to přepsal, podívej se ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 11 Listopad 2009, 13:17:56
Kód: [Vybrat]
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt
 rdtscp lm 3dnowext 3dnow rep_good extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch

Teda teď nechápu, proč mi to neuvádí SSE3? Že by chyběla podpora v jádře?
Zkusím reinstalovat na zkompilovaný balík pro jistotu a uvidím co to udělá.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Evžen Šubrt 11 Listopad 2009, 14:17:30
Sorry za můj hrubší slovník, píšu tak, jak mi zobák narost'. Požaduješ-li ode mne spisovnou češtinu, budiž.
Bylo to spíš takový rýpnutí ;) V normálním příspěvku by mi to ani tak nevadilo, ale tento se tváří jako návod, který by se bez hrubších výrazů dal použít na wiki či v nějaké Ubuntu příručce.
Evžene, už jsem to přepsal, podívej se ;)
Veliké díky ;) ;)
Citace
Von jako: "A vám se jako ten původní příspěvek líbil, pane Horník?" To by jeden blil.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 11 Listopad 2009, 14:49:37
Pak jsem ještě našel

Kód: [Vybrat]
Format: 1.8
Date: Tue, 10 Nov 2009 22:03:56 +0100
Source: totem
Binary: totem totem-mozilla totem-common totem-dbg totem-plugins totem-plugins-extra totem-xine totem-gstreamer
Architecture: all amd64
Version: 2.28.1-0ubuntu4
Distribution: karmic
Urgency: low
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Changed-By: root <root@panter>
Description:
 totem      - A simple media player for the GNOME desktop based on GStreamer
 totem-common - Data files for the Totem media player
 totem-dbg  - Debugging symbols for the Totem media player
 totem-gstreamer - A simple media player for the GNOME desktop (transitional package
 totem-mozilla - Totem Mozilla plugin
 totem-plugins - Plugins for the Totem media player
 totem-plugins-extra - Extra plugins for the Totem media player
 totem-xine - A simple media player for the GNOME desktop (transitional package
Changes:
 totem (2.28.1-0ubuntu4) karmic; urgency=low
 .
   [ Robert Ancell ]
   * debian/patches/03_screensaver_preferences.patch:
     - Fix logic on "Also disable the screensaver when playing audio" preference
       (LP: #448456)
 .
   [ root ]
   * Built by apt-build
   * Build options: -O3 -mtune=athlon64-sse3
Checksums-Sha1:
 fb907aa152f09eee7f270128a058090c19db6bd4 2844538 totem-common_2.28.1-0ubuntu4_all.deb
 594ef28e28885aa660e78a57bc32bc25ac20c011 51906 totem-xine_2.28.1-0ubuntu4_all.deb
 f10bc98269f23373bf038bdfc634c2a2e55fde9f 51910 totem-gstreamer_2.28.1-0ubuntu4_all.deb
 c58587fefa140a32e045b1d427208cc895e093e2 558928 totem_2.28.1-0ubuntu4_amd64.deb
 707b06a4dcf50133f980f6bd76e8e47a4f231aa8 187760 totem-mozilla_2.28.1-0ubuntu4_amd64.deb
 c85f2151894edc4be6ab6374f24a49eff52b45e5 1848314 totem-dbg_2.28.1-0ubuntu4_amd64.deb
 bc998562cdd9e636533434b932d1bb6d4ece8fe3 212978 totem-plugins_2.28.1-0ubuntu4_amd64.deb
 e93724efc375b4c7d574f0ffc5baf535205a8327 115806 totem-plugins-extra_2.28.1-0ubuntu4_amd64.deb
Checksums-Sha256:
 a821048c33a2d96dfa6367a1014d5230fe845c80a8bc3f6399aade2e08884404 2844538 totem-common_2.28.1-0ubuntu4_all.deb
 c3552db2a1f5ce2cb96ad4c698511a110b2e4e99330b9086bb98783fd53d4a50 51906 totem-xine_2.28.1-0ubuntu4_all.deb
 921c6c787ae81af44cd360a6c127d02b5017914219d024bf857ae6e64752c8bd 51910 totem-gstreamer_2.28.1-0ubuntu4_all.deb
 20ce7c6afa6fc585530ba0fdae2946da74dec6cf11d7cb21eabb4aef1a19eb30 558928 totem_2.28.1-0ubuntu4_amd64.deb
 018c60cd8f41ee621199f8b90026a00f309741a7860b080ab4595c0b5053739e 187760 totem-mozilla_2.28.1-0ubuntu4_amd64.deb
 6ae87b556faafe884700bc02b3f3d6baaf838699aaade5b463499c9dab3359e1 1848314 totem-dbg_2.28.1-0ubuntu4_amd64.deb
 ca79b061a23ba4cb31494967f27234e94451eb143ef7b2764fc37424a9bbdc48 212978 totem-plugins_2.28.1-0ubuntu4_amd64.deb
 5e3eed5f6418eb651bc2789d99f54a9b293da187fd9e37807f934560741797c0 115806 totem-plugins-extra_2.28.1-0ubuntu4_amd64.deb
Files:
 af71b5bdae4d79270067a9717b89a614 2844538 gnome optional totem-common_2.28.1-0ubuntu4_all.deb
 1fc8558d1acb758e8a337454f68e0738 51906 gnome optional totem-xine_2.28.1-0ubuntu4_all.deb
 a55d2a0a4cd6fe12b67189691a4b6111 51910 gnome optional totem-gstreamer_2.28.1-0ubuntu4_all.deb
 e26c20e2f830231268a40a93436685b3 558928 gnome optional totem_2.28.1-0ubuntu4_amd64.deb
 218f7aca1841dad8a14f58d090ce1dec 187760 web optional totem-mozilla_2.28.1-0ubuntu4_amd64.deb
 4ae08e3c2393e3db39df09cd991a8bab 1848314 libdevel extra totem-dbg_2.28.1-0ubuntu4_amd64.deb
 fda3624c8b006dd784868e4a8df49dac 212978 gnome optional totem-plugins_2.28.1-0ubuntu4_amd64.deb
 2b95437ed3aa621021a15b74c24d8db2 115806 gnome optional totem-plugins-extra_2.28.1-0ubuntu4_amd64.deb
Launchpad-Bugs-Fixed: 448456
Original-Maintainer: Sebastien Bacher <seb128@debian.org>

ve /var/cache/apt-build/build
soubor totem blabla .changes
To je prosím seznam změn oproti předchozí verzi.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 11 Listopad 2009, 14:50:01
Sorry za můj hrubší slovník, píšu tak, jak mi zobák narost'. Požaduješ-li ode mne spisovnou češtinu, budiž.
Bylo to spíš takový rýpnutí ;) V normálním příspěvku by mi to ani tak nevadilo, ale tento se tváří jako návod, který by se bez hrubších výrazů dal použít na wiki či v nějaké Ubuntu příručce.
Evžene, už jsem to přepsal, podívej se ;)
Veliké díky ;) ;)
Citace
Von jako: "A vám se jako ten původní příspěvek líbil, pane Horník?" To by jeden blil.
;D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Milhouse 11 Listopad 2009, 14:56:54
Jen si značím. ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Iljusin 11 Listopad 2009, 19:28:04
Když si přeinstaluju již instalované aplikace, tak mi to na za začátku píše, že přeinstaluje ten můj volaný balíček + nainstaluje x dalších. Ty "další" jsou potřeba jen pro tu kompilaci a pak už jsou zbytečný? Nebo jsou nutné pro další chod aplikace? Třeba po kompilaci Rhythmboxu mám skoro o 300MB na disku míň a na notebooku s místem na disku dost zápasím.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Iljusin 11 Listopad 2009, 19:31:52
Konkrétně v tom Rhythmboxu jde o tyto nové balíky:
Kód: [Vybrat]
Následující NOVÉ balíky budou nainstalovány:
  docbook-utils dvipdfmx jadetex lacheck latex-beamer latex-xcolor
  libaudiofile-dev libavahi-client-dev libavahi-common-dev libavahi-glib-dev
  libbonobo2-dev libbrasero-media-dev libesd0-dev libglade2-dev
  libgmime-2.4-dev libgnome-keyring-dev libgnome-media-dev libgnome2-dev
  libgnomevfs2-dev libgpod-dev libgstreamer-plugins-base0.10-dev
  libgstreamer0.10-dev libgudev-1.0-dev liblircclient-dev libmtp-dev
  libmusicbrainz4-dev libpopt-dev libsgmls-perl libsoup-gnome2.4-dev
  libsoup2.4-dev libtotem-plparser-dev libudev-dev libusb-dev lmodern pgf
  prosper ps2eps python-gst0.10-dev sgmlspl tex-common texlive-base
  texlive-base-bin texlive-base-bin-doc texlive-common texlive-doc-base
  texlive-extra-utils texlive-fonts-recommended texlive-fonts-recommended-doc
  texlive-generic-recommended texlive-latex-base texlive-latex-base-doc
  texlive-latex-recommended texlive-latex-recommended-doc texlive-pstricks
  texlive-pstricks-doc tipa
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: aloisam 11 Listopad 2009, 20:02:40
Úspěšně jsem to vyzkoušel na:
Totem
Nautilus
GNOME Panel
GIMP
APT, Aptitude, Synaptic
částečně GNOME
BIND9
DebConf
GPartEd
Apache2
Me TV
ALSA
několik knihoven atd.

Na něčem to jít nemusí, třeba to vyžaduje zvláštní volby pro GCC a/nebo Make.

a co firefox prosím? to by mě dost zajímalo ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 11 Listopad 2009, 20:17:20
Zkompiloval sjem Tremulous, změny nepozoruji, protože mě brzdí jen grafika, ale když ukončím Tremulous, už mám správně 85Hz. Předtím mi to dávalo 75Hz. Možná za to však může editace souboru header_00.

Chtěl jsem si zkompilovat FF, ale Missing source package name for source_by_source(). mi v tom brání. Měl sem duplicitní zdroje, to jsem spravil, ale stále ta stejná chyba.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Robert1106 11 Listopad 2009, 21:37:03
to je zlastne firefox mi isel normalne skompilovat a aj na instalovat a co je najdivnejsie aj funguje  ;D Inak chcel som sa spitat ci nebudu na ubuntu problemi s kompilaciou, lebo tu je gnome znacne upravene. Ako je to sa aktualizaciami? Po kazdej aktualizacii kompilovat je trocu nahlavu nie? :D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Kedrigern 11 Listopad 2009, 22:42:37
Tak jsem zkompiloval Totem a jede parádně (předtím se skoro nonstop sekal, nemluvím o titulcích).

Jen bych se zeptal (padlo to tu, ale jasnou odpověď jsem neviděl), lze nějak rozumně a inteligentně zjistit, že je používán mnou zkompilovaný balík?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 11 Listopad 2009, 23:01:17
Tak jsem zkompiloval Totem a jede parádně (předtím se skoro nonstop sekal, nemluvím o titulcích).

Jen bych se zeptal (padlo to tu, ale jasnou odpověď jsem neviděl), lze nějak rozumně a inteligentně zjistit, že je používán mnou zkompilovaný balík?

Tvůj popis ti nestačí?  ;D Jako já žádné zrychlení nepozoruji. Takže si nejsem vůbec jist, zda užívám zkompilované balíky a zda je vůbec v tom generic kernelu podpora pro SSE3.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: GdH 11 Listopad 2009, 23:20:56
to je zlastne firefox mi isel normalne skompilovat a aj na instalovat a co je najdivnejsie aj funguje  ;D Inak chcel som sa spitat ci nebudu na ubuntu problemi s kompilaciou, lebo tu je gnome znacne upravene. Ako je to sa aktualizaciami? Po kazdej aktualizacii kompilovat je trocu nahlavu nie? :D

Za normálních okolností máš ve zdrojích software (sources.list) u každého repozitáře jeden odkaz na předkompilované deb balíky a druhý na zdrojové kódy, ze kterých byly vyrobeny. Apt-build bere ty zdrojáky a kompiluje je sám, vyrobí nový optimalizovaný deb a uloží ho do vlastního repozitáře na disku. Odtud je pak nainstaluje stejně jako kdybys instaloval bez kompilace. Tudíž, pokud nemáš ve zdrojích kraviny, není teoreticky důvod k jakékoli nekompatibilitě.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Kedrigern 11 Listopad 2009, 23:21:25
Nestačí, Totem chodil příšerně. Ale těžko to posoudím u programů, kde by měla být jen minimální (ale samozřejmě vítaná) změna (gnome-panel).

Jo a taky si nejsem jistej a chtěl bych přesněji slyšet, pokud mám dvoujádrový Intel, tak je Core2 fungují, nebo správná volba? Jestli by to nešlo ještě nějak vylepšit (příkaz, který by našel kompatibilní typ procesoru přímo zapsatelný do /etc/apt/apt-build.conf? No kdyby takový příkaz byl, tak by to asi dělal apt-build sám, že?).

Nicméně právě jsem dokompiloval Gimp a taky se mi zdá rychlejší (spouštění tak o 40%).

Mimochodem mám všechny zdrojové repozitáře ke svým binárním, avšak zdrojáky mplayeru nenachází... (nejsem si jist, jestli chci házet verzi přímo z SVN, raději bych měl nějaký stable repozitář).
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 11 Listopad 2009, 23:30:31
Ad rychlejší spouštení Gimpu... není to už přednačtené v ram?
Nezkompilovaný se mi poprvé spouštěl asi 10-12 vteřin. Potom už byl jeho věci v ram, tak se spustil znovu za 2 s. Zkusím ho zkompilovat.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 11 Listopad 2009, 23:39:10
Iljušin:
Jo, na to jsem upozorňoval, že se musej stáhnout dodatečný balíky pro kompilaci. Většinou se jedná o balíky blablabla-dev- ty si pak můžeš po kompilaci odstranit třeba v Synapticu. Dále se na disku plní místo při kompilaci, balíky se zdrojákama se musej stáhnout, rozbalit, zkompilovat a vytvořit se z nich binární balík- tohle můžeš vyřešit pomocí příkazů:
Kód: [Vybrat]
apt-build clean-sources     - Clean up all object files in source directories
apt-build clean-build       - Erase downloaded packages and temporary build files
Dále můžeš použít na vyčištění disku BleachBit (http://bleachbit.sourceforge.net/), napíšu Andrewovi, aby vytvořil čistič i pro apt-build


Aloisam:
Firefox (na Debianu Iceweasel), Iceape, Epiphany, Chromium... jasně že můžeš, akorát asi Opera nepůjde, prohlížeč musí mít k dispozici zdrojáky.


Rovano:
U her záleží i na jiných věcech než na hře samotný. Když vykresluje přes SDL, je dobrý zkompilovat SDL a jeho knihovny. Bylo by dobrý zkompilovat si i ovladače na grafiku, ale když každej (včetně mně) používá proprietární ovladače...

O SSE3 nic nevím, můj procesor jej taky umí. Akorát jsem v server flags našel SSSE3 (jestli to je to samý...)


Kedrigern:
To jsi zkompiloval jen samotnej Totem, nebo i jeho backend(y), tzn. GStreamer / Xine?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Kedrigern 11 Listopad 2009, 23:47:23
Ad rychlejší spouštení Gimpu... není to už přednačtené v ram?
Nezkompilovaný se mi poprvé spouštěl asi 10-12 vteřin. Potom už byl jeho věci v ram, tak se spustil znovu za 2 s. Zkusím ho zkompilovat.

Ne, to ne.

Kedrigern:
To jsi zkompiloval jen samotnej Totem, nebo i jeho backend(y), tzn. GStreamer / Xine?

Zadal jsem apt-build install --reinstall totem - nic víc.


Jinak právě jsem dokompiloval Firefox a jsou tu dva problémy:
1) Firefoxe z repů to nevyhodí (mám teď dva) - stejně jako když jedete experimentální větev z Ubuntu Tweak
2) Sice mi to nakonci napsalo:
Kód: [Vybrat]
Připravuji nahrazení firefox 3.5.4+nobinonly-0ubuntu0.9.10.1 (pomocí .../firefox_3.5.5+nobinonly-0ubuntu0.9.10.1_all.deb) ...
Rozbaluji náhradu firefox ...
Nastavuji balík firefox (3.5.5+nobinonly-0ubuntu0.9.10.1) ...

Nicméně pokud zapnu firefox-3.5, tak je to 3.5.4 a ne 3.5.5 :(.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: tlamic 11 Listopad 2009, 23:49:09
Zdravím, mohl by někdo jsem zkopírovat jeho sources.list pro Jaunty? Dík Honza
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 11 Listopad 2009, 23:52:15
Zdravím, mohl by někdo jsem zkopírovat jeho sources.list pro Jaunty? Dík Honza
http://www.google.com/search?q=jaunty+sources.list (http://www.google.com/search?q=jaunty+sources.list)?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: tlamic 11 Listopad 2009, 23:58:12
Díky moc. Honza
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 12 Listopad 2009, 00:14:24
Jo hele, zkoušel to někdo z vás u PulseAudio? Možná by to mohlo vyřešit nějaký problémy s ním, třeba to lupání aj. ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Kedrigern 12 Listopad 2009, 00:23:20
Jo hele, zkoušel to někdo z vás u PulseAudio? Možná by to mohlo vyřešit nějaký problémy s ním, třeba to lupání aj. ;)

To zní odvážně, tak jsem právě aktualizoval Firefox na 3.5.5 přes apt-get, mohl by někdo zkompilovat a říct, jestli se setkal s problémem jako já? (Stále stejná verze, popsán asi o 3 příspěvky výš)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 12 Listopad 2009, 00:28:48
Jo hele, zkoušel to někdo z vás u PulseAudio? Možná by to mohlo vyřešit nějaký problémy s ním, třeba to lupání aj. ;)

To zní odvážně, tak jsem právě aktualizoval Firefox na 3.5.5 přes apt-get, mohl by někdo zkompilovat a říct, jestli se setkal s problémem jako já? (Stále stejná verze, popsán asi o 3 příspěvky výš)
To bohužel nemůžu, k dispozici mám jako nejnovější verzi 3.5.4
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 12 Listopad 2009, 03:11:32
O tom sources sources je mi jasné, že mi to napíše, pokud bych chtěl kompitovat třeba g++ nebo make :)
Ale proč mi to píše u Firefoxu nevím. Každopádně mám asi něco jinak. Užívám FF 3.5.6 a 3.6b3pre.

Úspěšně jsem zkompiloval Compiz. Ale nemám ho otestovaný.
Zítra zkusím ovladače na grafiku, sdl* a pulseaudio+testy výkonosti pokud se mi podaří získat místo na oddíle :D
Co přesně dělá příkaz upgrade? Prostě veme novější zdrojáky a rekompiluje? Teď jsem ho spustil a objevilo se něco s xorgem, kerej sem nerekompiloval a maká to a maká....sakra to vypadá jak kdyby to předělávalo celý Ubuntu :D Do háje.... ty výpisy nechápu. Činí to věci, který by podle mě neměli souviset s tím, co jsem v tom dělal.  Vždycky to jak kdyby veme jednu věci, něco to dělá, potom to jakože ukončí, reskenuje repa a veme další věc.No stejně to skončí na nedostatku místa.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: GdH 12 Listopad 2009, 07:46:13
Co přesně dělá příkaz upgrade? Prostě veme novější zdrojáky a rekompiluje? Teď jsem ho spustil a objevilo se něco s xorgem, kerej sem nerekompiloval a maká to a maká....sakra to vypadá jak kdyby to předělávalo celý Ubuntu :D Do háje.... ty výpisy nechápu. Činí to věci, který by podle mě neměli souviset s tím, co jsem v tom dělal.  Vždycky to jak kdyby veme jednu věci, něco to dělá, potom to jakože ukončí, reskenuje repa a veme další věc.No stejně to skončí na nedostatku místa.

Příkaz apt-build upgrade dělá to samé jako apt-get upgrade, ale ze zdrojáků. Je úplně jedno, co jsi předtím kompiloval, nebo nekompiloval.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Meharts 12 Listopad 2009, 08:39:11
Ahoj nedaří se mi téměř nic zkompilovat první věc co jsem zkompiloval bylo audacity to proběhlo v pořádku a tak natěšený jsem si chtěl udělat totem, gnome commander, avidemux ale ani jedno se mi nedaří všechny končí
Kód: [Vybrat]
Error while building "to co chci kompilovat"
Sorry, no package to install.
viz třeba avidemux
Kód: [Vybrat]
-----> Installing build dependencies (for avidemux) <-----
\u010ctu seznamy balík\u016f... Hotovo
Vytvá\u0159ím strom závislostí       
\u010ctu stavové informace... Hotovo
0 aktualizováno, 0 nov\u011b instalováno, 0 k odstran\u011bní a 1 neaktualizováno.
-----> Updating package lists <-----
Ign file: apt-build Release.gpg
Ign file: apt-build/main Translation-cs                                       
Mám:1 file: apt-build Release [90B]                                           
Ign file: apt-build/main Packages                                             
Ign file: apt-build/main Packages                                             
Mám:2 http://dl.google.com stable Release.gpg [191B]                           
Ign http://dl.google.com stable/main Translation-cs                           
Cíl http://archive.canonical.com karmic Release.gpg                           
Ign http://archive.canonical.com karmic/partner Translation-cs                 
Cíl http://packages.medibuntu.org karmic Release.gpg                           
Ign http://packages.medibuntu.org karmic/free Translation-cs                   
Ign http://packages.medibuntu.org karmic/non-free Translation-cs               
Ign http://dl.google.com stable/non-free Translation-cs                       
Cíl http://archive.ubuntu.com karmic Release.gpg                               
Cíl http://archive.ubuntu.com karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Cíl http://archive.canonical.com karmic Release                               
Mám:3 http://dl.google.com stable Release [1 310B]                             
Cíl http://packages.medibuntu.org karmic Release                               
Cíl http://archive.ubuntu.com karmic/restricted Translation-cs                 
Cíl http://archive.ubuntu.com karmic/universe Translation-cs                   
Cíl http://archive.ubuntu.com karmic/multiverse Translation-cs                 
Cíl http://archive.ubuntu.com karmic-updates Release.gpg                       
Ign http://archive.ubuntu.com karmic-updates/main Translation-cs               
Ign http://archive.ubuntu.com karmic-updates/restricted Translation-cs         
Ign http://archive.ubuntu.com karmic-updates/universe Translation-cs           
Ign http://archive.ubuntu.com karmic-updates/multiverse Translation-cs         
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://archive.ubuntu.com karmic-security Release.gpg                     
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Cíl http://archive.canonical.com karmic/partner Packages                       
Cíl http://packages.medibuntu.org karmic/free Packages                         
Cíl http://repo.palatinus.cz  Release.gpg                                     
Ign http://archive.ubuntu.com karmic-security/main Translation-cs             
Ign http://repo.palatinus.cz  Translation-cs                                   
Ign http://archive.ubuntu.com karmic-security/restricted Translation-cs       
Ign http://archive.ubuntu.com karmic-security/universe Translation-cs         
Ign http://archive.ubuntu.com karmic-security/multiverse Translation-cs       
Ign http://linux.getdropbox.com karmic Release.gpg                             
Ign http://linux.getdropbox.com karmic/main Translation-cs                     
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://archive.canonical.com karmic/partner Sources                       
Cíl http://packages.medibuntu.org karmic/non-free Packages                     
Cíl http://archive.ubuntu.com karmic Release                                   
Cíl http://archive.ubuntu.com karmic-updates Release                           
Mám:4 http://dl.google.com stable/main Packages [624B]                         
Cíl http://archive.ubuntu.com karmic-security Release                         
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://archive.ubuntu.com karmic/main Packages                             
Cíl http://archive.ubuntu.com karmic/restricted Packages                       
Cíl http://repo.palatinus.cz  Release                                         
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://archive.ubuntu.com karmic/main Sources                             
Cíl http://archive.ubuntu.com karmic/restricted Sources                       
Cíl http://archive.ubuntu.com karmic/universe Packages                         
Cíl http://archive.ubuntu.com karmic/universe Sources                         
Ign http://linux.getdropbox.com karmic Release                                 
Cíl http://archive.ubuntu.com karmic/multiverse Packages                       
Cíl http://archive.ubuntu.com karmic/multiverse Sources                       
Cíl http://archive.ubuntu.com karmic-updates/main Packages                     
Cíl http://archive.ubuntu.com karmic-updates/restricted Packages               
Mám:5 http://dl.google.com stable/non-free Packages [966B]                     
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Sources                               
Cíl http://archive.ubuntu.com karmic-updates/main Sources                     
Cíl http://archive.ubuntu.com karmic-updates/restricted Sources               
Cíl http://archive.ubuntu.com karmic-updates/universe Packages                 
Cíl http://archive.ubuntu.com karmic-updates/universe Sources                 
Cíl http://archive.ubuntu.com karmic-updates/multiverse Packages               
Cíl http://archive.ubuntu.com karmic-updates/multiverse Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://ppa.launchpad.net karmic/main Packages                       
Ign http://repo.palatinus.cz  Packages                                 
Ign http://linux.getdropbox.com karmic/main Packages                   
Cíl http://archive.ubuntu.com karmic-security/main Packages             
Cíl http://archive.ubuntu.com karmic-security/restricted Packages             
Cíl http://archive.ubuntu.com karmic-security/main Sources                     
Cíl http://archive.ubuntu.com karmic-security/restricted Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://archive.ubuntu.com karmic-security/universe Packages         
Cíl http://archive.ubuntu.com karmic-security/universe Sources                 
Cíl http://archive.ubuntu.com karmic-security/multiverse Packages             
Cíl http://archive.ubuntu.com karmic-security/multiverse Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Ign http://repo.palatinus.cz  Packages           
Ign http://linux.getdropbox.com karmic/main Packages
Cíl http://repo.palatinus.cz  Packages
Cíl http://linux.getdropbox.com karmic/main Packages
Sta\u017eeno 3 091B za 1s (2 258B/s)
\u010ctu seznamy balík\u016f... Hotovo
-----> Downloading source avidemux (1:2.5.1+repack-0ubuntu2) <-----
\u010ctu seznamy balík\u016f... Hotovo
Vytvá\u0159ím strom závislostí       
\u010ctu stavové informace... Hotovo
Pot\u0159ebuji stáhnout 13,0MB zdrojových archiv\u016f.
Mám:1 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (dsc) [1 493B]
Mám:2 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (tar) [12,9MB]
Mám:3 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (diff) [13,5kB]       
Sta\u017eeno 13,0MB za 29s (438kB/s)                                                                           
gpgv: Podpis vytvo\u0159en Út 13. \u0159íjen 2009, 20:05:46 CEST pomocí klí\u010de DSA s ID u\u017eivatele DCFC3FD0
gpgv: Nemohu ov\u011b\u0159it podpis: ve\u0159ejný klí\u010d nenalezen
dpkg-source: warning: failed to verify signature on ./avidemux_2.5.1+repack-0ubuntu2.dsc
dpkg-source: info: extracting avidemux in avidemux-2.5.1+repack
dpkg-source: info: unpacking avidemux_2.5.1+repack.orig.tar.gz
dpkg-source: info: applying avidemux_2.5.1+repack-0ubuntu2.diff.gz
-----> Building avidemux <-----
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package avidemux
dpkg-buildpackage: source version 1:2.5.1+repack-0ubuntu2
dpkg-buildpackage: source changed by root <root@Boban>
dpkg-buildpackage: host architecture amd64
 debian/rules clean
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
No patch removed
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
rm -rf build plugins/build
rm -rf CMakeFiles
rm -rf avidemux/ADM_libraries/ffmpeg
dh_clean client_state.xml
 debian/rules build
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push -a || test $? = 2
Applying patch 01-build_vorbis_decoder.diff
patching file plugins/ADM_audioDecoders/ADM_ad_vorbis/CMakeLists.txt
patching file cmake/admCheckVorbisDec.cmake

Now at patch 01-build_vorbis_decoder.diff
touch debian/stamp-patched
dh_testdir
mkdir -p build/avidemux/ADM_libraries
cp avidemux/ADM_libraries/ffmpeg_r19575.tar.gz build/avidemux/ADM_libraries
cp avidemux/ADM_libraries/libswscale_r29474.tar.gz build/avidemux/ADM_libraries
cd build && cmake .. \
-DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH:BOOL=YES
#####################################
Configure Started
#####################################

-- Source dir is /var/cache/apt-build/build/avidemux-2.5.1+repack

-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/lib/apt-build/gcc
-- Check for working C compiler: /usr/lib/apt-build/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/lib/apt-build/c++
-- Check for working CXX compiler: /usr/lib/apt-build/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done

-- Checking GCC support
-- ********************
-- Check if GCC is Unix - Yes
-- Check if GCC is x86 64-bit - Yes
-- Check if GCC is MMX2 capable - Yes
-- Check if GCC is SSSE3 capable - Yes
-- Check if the system is big endian
-- Searching 16 bit integer
-- Looking for sys/types.h
-- Looking for sys/types.h - not found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - not found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian

-- Checking for SCM Revision
-- *************************
-- Dont know what SCM is used
--   revision: 0

-- Checking for pkg-config
-- ***********************
-- Found pkg-config

-- Checking for Libxml2
-- ********************
-- checking for module 'libxml-2.0'
--   found libxml-2.0, version 2.7.5
-- Found Libxml2

-- Checking for pthreads
-- *********************
-- Found pthreads

-- Checking for zlib
-- *****************
-- Found ZLIB: /usr/lib/libz.so
-- Found zlib

-- Checking for GTK+
-- *****************
-- checking for module 'gtk+-2.0'
--   found gtk+-2.0, version 2.18.3
-- Found GTK+
-- GTK+ doesn't use X11

-- Checking for GThread
-- ********************
-- checking for module 'gthread-2.0'
--   found gthread-2.0, version 2.22.2
-- Found GThread

-- Checking for Qt 4
-- *****************
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - not found.
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.5.2
-- Found Qt 4

-- Checking for gettext
-- ********************
-- Found libintl.h
-- Cound not find intl library
Could not find Gettext
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
GETTEXT_LIBRARY_DIR
    linked by target "cmTryCompileExec" in directory /var/cache/apt-build/build/avidemux-2.5.1+repack/build/CMakeFiles/CMakeTmp

CMake Error: Internal CMake error, TryCompile configure of cmake failed
gettext support failed with or without libintl

-- Checking for SDL
-- ****************
-- Found SDL

-- Checking for XVideo
-- *******************
-- Found X11/extensions/Xvlib.h
-- Found Xv library
-- Found XvShmPutImage in /usr/lib/libXv.so
-- Found XVideo

-- Checking for SpiderMonkey
-- *************************
Skipping check and using bundled version.

-- Checking system headers
-- ***********************
-- Looking for gettimeofday
-- Looking for gettimeofday - found
-- Looking for include files HAVE_INTTYPES_H
-- Looking for include files HAVE_INTTYPES_H - found
-- Looking for include files HAVE_MALLOC_H
-- Looking for include files HAVE_MALLOC_H - not found.

-- ADM_coreConfig.h generated
-- CLI config.h generated
-- GTK config.h generated
-- Qt4 config.h generated

-- Checking for tar
-- ****************
-- Found tar


-- Checking for patch
-- ******************
-- Found patch

patching file libavformat/flvenc.c
patching file libavcodec/avcodec.h
patching file libavcodec/utils.c
patching file libavcodec/ffv1.c
patching file libavutil/mem.c
patching file libavcodec/h264.c
patching file libavformat/movenc.c
patching file libavformat/matroskaenc.c
patching file libavcodec/h263dec.c
patching file libavformat/isom.c
patching file libavutil/internal.h
patching file libavcodec/mpegvideo.c
patching file libavutil/avutil.h
patching file libavcodec/mpegvideo_enc.c
patching file libavcodec/mpeg12.c
patching file libavcodec/mpeg12enc.c
patching file libavformat/file.c
patching file common.mak
Hunk #1 succeeded at 64 (offset 2 lines).

-- Configuring FFmpeg
patching file config.mak
Hunk #1 succeeded at 66 with fuzz 2 (offset 6 lines).

*********************
***    SUMMARY    ***
*********************
   GTK+        Yes
   Qt 4        Yes
*** Miscellaneous ***
   gettext     No
   SDL         Yes
   XVideo      Yes
*********************
*** Release Build ***
*********************

-- Configuring incomplete, errors occurred!
make: *** [configure-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
----> Cleaning up object files <-----
Cleaning in directory .
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
Removing patch 01-build_vorbis_decoder.diff
Removing cmake/admCheckVorbisDec.cmake
Restoring plugins/ADM_audioDecoders/ADM_ad_vorbis/CMakeLists.txt

No patches applied
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
rm -rf build plugins/build
rm -rf CMakeFiles
rm -rf avidemux/ADM_libraries/ffmpeg
dh_clean client_state.xml
Error while building avidemux!
Sorry, no package to install.

postupoval jsem podle návodu do typ architektury jsem dal core2 i když mám quada ale v seznamu a dále na postnuté stránce s typy CPU quad nebyl ale  usoudil jsem, že core2 je vhodny i pro můj Q6600 intel.

Pokud by někoho napadlo proč to nejde byl bych vděčen tento nástroj se mi líbí.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Krysař 12 Listopad 2009, 10:00:18
...tak jsem právě aktualizoval Firefox na 3.5.5 přes apt-get, mohl by někdo zkompilovat a říct, jestli se setkal s problémem jako já? (Stále stejná verze, popsán asi o 3 příspěvky výš)
firefox zkompilovany diky apt-build upgrade a jede v pohode 3.5.5
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Krysař 12 Listopad 2009, 10:27:26
Jo hele, zkoušel to někdo z vás u PulseAudio? Možná by to mohlo vyřešit nějaký problémy s ním, třeba to lupání aj. ;)
vyzkouseno, lupani to neodstrani  :(

Ale co me velmi prijemne prekvapilo, je rychlost zkompilovane Evince. Kdo casto zobrazuje *.pdf, tak rozhodne doporucuji - i na core 2 duo (2.2GHz) je zrychleni velmi vyrazne.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Meharts 12 Listopad 2009, 11:05:14
Tak po různém zkoušení jsem zjistil, že  pokud použiji options "--nowrapper" tak vše proběhne jak má a program se nainstaluje a tak  když se kouknu do options
Kód: [Vybrat]
--nowrapper       - Do not use gcc/g++ wrappermoje gcc
Kód: [Vybrat]
meharts@Boban:~$ gcc --version
gcc (Ubuntu 4.4.1-4ubuntu8) 4.4.1
Copyright (C) 2009 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Když bych používal options "--nowrapper" na kompilaci programů nebudu nosit dříví do lesa ? Bude se to kompilovat odladěné pro můj HW, nebo tato možnost pouze nainstaluje aplikaci bez optimalizace? Hledal jsem ale nejak jako neanglictinář jsem to nezjistil.
děkuji za odpověď
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 12 Listopad 2009, 12:17:45
Ahoj nedaří se mi téměř nic zkompilovat první věc co jsem zkompiloval bylo audacity to proběhlo v pořádku a tak natěšený jsem si chtěl udělat totem, gnome commander, avidemux ale ani jedno se mi nedaří všechny končí
Kód: [Vybrat]
Error while building "to co chci kompilovat"
Sorry, no package to install.
viz třeba avidemux
Kód: [Vybrat]
-----> Installing build dependencies (for avidemux) <-----
\u010ctu seznamy balík\u016f... Hotovo
Vytvá\u0159ím strom závislostí       
\u010ctu stavové informace... Hotovo
0 aktualizováno, 0 nov\u011b instalováno, 0 k odstran\u011bní a 1 neaktualizováno.
-----> Updating package lists <-----
Ign file: apt-build Release.gpg
Ign file: apt-build/main Translation-cs                                       
Mám:1 file: apt-build Release [90B]                                           
Ign file: apt-build/main Packages                                             
Ign file: apt-build/main Packages                                             
Mám:2 http://dl.google.com stable Release.gpg [191B]                           
Ign http://dl.google.com stable/main Translation-cs                           
Cíl http://archive.canonical.com karmic Release.gpg                           
Ign http://archive.canonical.com karmic/partner Translation-cs                 
Cíl http://packages.medibuntu.org karmic Release.gpg                           
Ign http://packages.medibuntu.org karmic/free Translation-cs                   
Ign http://packages.medibuntu.org karmic/non-free Translation-cs               
Ign http://dl.google.com stable/non-free Translation-cs                       
Cíl http://archive.ubuntu.com karmic Release.gpg                               
Cíl http://archive.ubuntu.com karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Cíl http://archive.canonical.com karmic Release                               
Mám:3 http://dl.google.com stable Release [1 310B]                             
Cíl http://packages.medibuntu.org karmic Release                               
Cíl http://archive.ubuntu.com karmic/restricted Translation-cs                 
Cíl http://archive.ubuntu.com karmic/universe Translation-cs                   
Cíl http://archive.ubuntu.com karmic/multiverse Translation-cs                 
Cíl http://archive.ubuntu.com karmic-updates Release.gpg                       
Ign http://archive.ubuntu.com karmic-updates/main Translation-cs               
Ign http://archive.ubuntu.com karmic-updates/restricted Translation-cs         
Ign http://archive.ubuntu.com karmic-updates/universe Translation-cs           
Ign http://archive.ubuntu.com karmic-updates/multiverse Translation-cs         
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://archive.ubuntu.com karmic-security Release.gpg                     
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Cíl http://archive.canonical.com karmic/partner Packages                       
Cíl http://packages.medibuntu.org karmic/free Packages                         
Cíl http://repo.palatinus.cz  Release.gpg                                     
Ign http://archive.ubuntu.com karmic-security/main Translation-cs             
Ign http://repo.palatinus.cz  Translation-cs                                   
Ign http://archive.ubuntu.com karmic-security/restricted Translation-cs       
Ign http://archive.ubuntu.com karmic-security/universe Translation-cs         
Ign http://archive.ubuntu.com karmic-security/multiverse Translation-cs       
Ign http://linux.getdropbox.com karmic Release.gpg                             
Ign http://linux.getdropbox.com karmic/main Translation-cs                     
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://archive.canonical.com karmic/partner Sources                       
Cíl http://packages.medibuntu.org karmic/non-free Packages                     
Cíl http://archive.ubuntu.com karmic Release                                   
Cíl http://archive.ubuntu.com karmic-updates Release                           
Mám:4 http://dl.google.com stable/main Packages [624B]                         
Cíl http://archive.ubuntu.com karmic-security Release                         
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://archive.ubuntu.com karmic/main Packages                             
Cíl http://archive.ubuntu.com karmic/restricted Packages                       
Cíl http://repo.palatinus.cz  Release                                         
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://archive.ubuntu.com karmic/main Sources                             
Cíl http://archive.ubuntu.com karmic/restricted Sources                       
Cíl http://archive.ubuntu.com karmic/universe Packages                         
Cíl http://archive.ubuntu.com karmic/universe Sources                         
Ign http://linux.getdropbox.com karmic Release                                 
Cíl http://archive.ubuntu.com karmic/multiverse Packages                       
Cíl http://archive.ubuntu.com karmic/multiverse Sources                       
Cíl http://archive.ubuntu.com karmic-updates/main Packages                     
Cíl http://archive.ubuntu.com karmic-updates/restricted Packages               
Mám:5 http://dl.google.com stable/non-free Packages [966B]                     
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Sources                               
Cíl http://archive.ubuntu.com karmic-updates/main Sources                     
Cíl http://archive.ubuntu.com karmic-updates/restricted Sources               
Cíl http://archive.ubuntu.com karmic-updates/universe Packages                 
Cíl http://archive.ubuntu.com karmic-updates/universe Sources                 
Cíl http://archive.ubuntu.com karmic-updates/multiverse Packages               
Cíl http://archive.ubuntu.com karmic-updates/multiverse Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://ppa.launchpad.net karmic/main Packages                       
Ign http://repo.palatinus.cz  Packages                                 
Ign http://linux.getdropbox.com karmic/main Packages                   
Cíl http://archive.ubuntu.com karmic-security/main Packages             
Cíl http://archive.ubuntu.com karmic-security/restricted Packages             
Cíl http://archive.ubuntu.com karmic-security/main Sources                     
Cíl http://archive.ubuntu.com karmic-security/restricted Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://archive.ubuntu.com karmic-security/universe Packages         
Cíl http://archive.ubuntu.com karmic-security/universe Sources                 
Cíl http://archive.ubuntu.com karmic-security/multiverse Packages             
Cíl http://archive.ubuntu.com karmic-security/multiverse Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Ign http://repo.palatinus.cz  Packages           
Ign http://linux.getdropbox.com karmic/main Packages
Cíl http://repo.palatinus.cz  Packages
Cíl http://linux.getdropbox.com karmic/main Packages
Sta\u017eeno 3 091B za 1s (2 258B/s)
\u010ctu seznamy balík\u016f... Hotovo
-----> Downloading source avidemux (1:2.5.1+repack-0ubuntu2) <-----
\u010ctu seznamy balík\u016f... Hotovo
Vytvá\u0159ím strom závislostí       
\u010ctu stavové informace... Hotovo
Pot\u0159ebuji stáhnout 13,0MB zdrojových archiv\u016f.
Mám:1 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (dsc) [1 493B]
Mám:2 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (tar) [12,9MB]
Mám:3 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (diff) [13,5kB]       
Sta\u017eeno 13,0MB za 29s (438kB/s)                                                                           
gpgv: Podpis vytvo\u0159en Út 13. \u0159íjen 2009, 20:05:46 CEST pomocí klí\u010de DSA s ID u\u017eivatele DCFC3FD0
gpgv: Nemohu ov\u011b\u0159it podpis: ve\u0159ejný klí\u010d nenalezen
dpkg-source: warning: failed to verify signature on ./avidemux_2.5.1+repack-0ubuntu2.dsc
dpkg-source: info: extracting avidemux in avidemux-2.5.1+repack
dpkg-source: info: unpacking avidemux_2.5.1+repack.orig.tar.gz
dpkg-source: info: applying avidemux_2.5.1+repack-0ubuntu2.diff.gz
-----> Building avidemux <-----
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package avidemux
dpkg-buildpackage: source version 1:2.5.1+repack-0ubuntu2
dpkg-buildpackage: source changed by root <root@Boban>
dpkg-buildpackage: host architecture amd64
 debian/rules clean
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
No patch removed
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
rm -rf build plugins/build
rm -rf CMakeFiles
rm -rf avidemux/ADM_libraries/ffmpeg
dh_clean client_state.xml
 debian/rules build
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push -a || test $? = 2
Applying patch 01-build_vorbis_decoder.diff
patching file plugins/ADM_audioDecoders/ADM_ad_vorbis/CMakeLists.txt
patching file cmake/admCheckVorbisDec.cmake

Now at patch 01-build_vorbis_decoder.diff
touch debian/stamp-patched
dh_testdir
mkdir -p build/avidemux/ADM_libraries
cp avidemux/ADM_libraries/ffmpeg_r19575.tar.gz build/avidemux/ADM_libraries
cp avidemux/ADM_libraries/libswscale_r29474.tar.gz build/avidemux/ADM_libraries
cd build && cmake .. \
-DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH:BOOL=YES
#####################################
Configure Started
#####################################

-- Source dir is /var/cache/apt-build/build/avidemux-2.5.1+repack

-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/lib/apt-build/gcc
-- Check for working C compiler: /usr/lib/apt-build/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/lib/apt-build/c++
-- Check for working CXX compiler: /usr/lib/apt-build/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done

-- Checking GCC support
-- ********************
-- Check if GCC is Unix - Yes
-- Check if GCC is x86 64-bit - Yes
-- Check if GCC is MMX2 capable - Yes
-- Check if GCC is SSSE3 capable - Yes
-- Check if the system is big endian
-- Searching 16 bit integer
-- Looking for sys/types.h
-- Looking for sys/types.h - not found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - not found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian

-- Checking for SCM Revision
-- *************************
-- Dont know what SCM is used
--   revision: 0

-- Checking for pkg-config
-- ***********************
-- Found pkg-config

-- Checking for Libxml2
-- ********************
-- checking for module 'libxml-2.0'
--   found libxml-2.0, version 2.7.5
-- Found Libxml2

-- Checking for pthreads
-- *********************
-- Found pthreads

-- Checking for zlib
-- *****************
-- Found ZLIB: /usr/lib/libz.so
-- Found zlib

-- Checking for GTK+
-- *****************
-- checking for module 'gtk+-2.0'
--   found gtk+-2.0, version 2.18.3
-- Found GTK+
-- GTK+ doesn't use X11

-- Checking for GThread
-- ********************
-- checking for module 'gthread-2.0'
--   found gthread-2.0, version 2.22.2
-- Found GThread

-- Checking for Qt 4
-- *****************
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - not found.
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.5.2
-- Found Qt 4

-- Checking for gettext
-- ********************
-- Found libintl.h
-- Cound not find intl library
Could not find Gettext
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
GETTEXT_LIBRARY_DIR
    linked by target "cmTryCompileExec" in directory /var/cache/apt-build/build/avidemux-2.5.1+repack/build/CMakeFiles/CMakeTmp

CMake Error: Internal CMake error, TryCompile configure of cmake failed
gettext support failed with or without libintl

-- Checking for SDL
-- ****************
-- Found SDL

-- Checking for XVideo
-- *******************
-- Found X11/extensions/Xvlib.h
-- Found Xv library
-- Found XvShmPutImage in /usr/lib/libXv.so
-- Found XVideo

-- Checking for SpiderMonkey
-- *************************
Skipping check and using bundled version.

-- Checking system headers
-- ***********************
-- Looking for gettimeofday
-- Looking for gettimeofday - found
-- Looking for include files HAVE_INTTYPES_H
-- Looking for include files HAVE_INTTYPES_H - found
-- Looking for include files HAVE_MALLOC_H
-- Looking for include files HAVE_MALLOC_H - not found.

-- ADM_coreConfig.h generated
-- CLI config.h generated
-- GTK config.h generated
-- Qt4 config.h generated

-- Checking for tar
-- ****************
-- Found tar


-- Checking for patch
-- ******************
-- Found patch

patching file libavformat/flvenc.c
patching file libavcodec/avcodec.h
patching file libavcodec/utils.c
patching file libavcodec/ffv1.c
patching file libavutil/mem.c
patching file libavcodec/h264.c
patching file libavformat/movenc.c
patching file libavformat/matroskaenc.c
patching file libavcodec/h263dec.c
patching file libavformat/isom.c
patching file libavutil/internal.h
patching file libavcodec/mpegvideo.c
patching file libavutil/avutil.h
patching file libavcodec/mpegvideo_enc.c
patching file libavcodec/mpeg12.c
patching file libavcodec/mpeg12enc.c
patching file libavformat/file.c
patching file common.mak
Hunk #1 succeeded at 64 (offset 2 lines).

-- Configuring FFmpeg
patching file config.mak
Hunk #1 succeeded at 66 with fuzz 2 (offset 6 lines).

*********************
***    SUMMARY    ***
*********************
   GTK+        Yes
   Qt 4        Yes
*** Miscellaneous ***
   gettext     No
   SDL         Yes
   XVideo      Yes
*********************
*** Release Build ***
*********************

-- Configuring incomplete, errors occurred!
make: *** [configure-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
----> Cleaning up object files <-----
Cleaning in directory .
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
Removing patch 01-build_vorbis_decoder.diff
Removing cmake/admCheckVorbisDec.cmake
Restoring plugins/ADM_audioDecoders/ADM_ad_vorbis/CMakeLists.txt

No patches applied
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
rm -rf build plugins/build
rm -rf CMakeFiles
rm -rf avidemux/ADM_libraries/ffmpeg
dh_clean client_state.xml
Error while building avidemux!
Sorry, no package to install.

postupoval jsem podle návodu do typ architektury jsem dal core2 i když mám quada ale v seznamu a dále na postnuté stránce s typy CPU quad nebyl ale  usoudil jsem, že core2 je vhodny i pro můj Q6600 intel.

Pokud by někoho napadlo proč to nejde byl bych vděčen tento nástroj se mi líbí.
I to se může stát, možná bude chyba ve zdrojákách, párkrát se mi tohle taky stalo, ale ne s Nautilem. GNOME Commander ani AVIDemux jsem nezkoušel.

Pokud tam čtyřjádro nemáš, budeš muset asi napsat vývojářům apt-buildu.

"Pokud zde vaše architektura není, vyberte nějakou a upravte konfigurační soubor (/etc/apt/apt-build.conf) ručně. Poté nám prosím zašlete hlášení o chybě se závažností wishlist."
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 12 Listopad 2009, 13:06:38
Ad rychlejší spouštení Gimpu... není to už přednačtené v ram?
Nezkompilovaný se mi poprvé spouštěl asi 10-12 vteřin. Potom už byl jeho věci v ram, tak se spustil znovu za 2 s. Zkusím ho zkompilovat.

Ne, to ne.

Kedrigern:
To jsi zkompiloval jen samotnej Totem, nebo i jeho backend(y), tzn. GStreamer / Xine?

Zadal jsem apt-build install --reinstall totem - nic víc.


Jinak právě jsem dokompiloval Firefox a jsou tu dva problémy:
1) Firefoxe z repů to nevyhodí (mám teď dva) - stejně jako když jedete experimentální větev z Ubuntu Tweak
2) Sice mi to nakonci napsalo:
Kód: [Vybrat]
Připravuji nahrazení firefox 3.5.4+nobinonly-0ubuntu0.9.10.1 (pomocí .../firefox_3.5.5+nobinonly-0ubuntu0.9.10.1_all.deb) ...
Rozbaluji náhradu firefox ...
Nastavuji balík firefox (3.5.5+nobinonly-0ubuntu0.9.10.1) ...

Nicméně pokud zapnu firefox-3.5, tak je to 3.5.4 a ne 3.5.5 :(.


Třeba přepsat v Preferovaných aplikacích např na firefox-3.6 %s (číslo verze dle tebe, zkoušel jsi zapsat 3.5.5?).

Mám problém. Momentálně mám repo jen skrze apt-build. Po vykonání dvou čistících příkazů(clean-builds, clean-sources), mi to stále nabízí balíky k aktualizaci. V manu jem nic nezjistil. Ano můžu je smazat ručně, ale neměl by to mazat jeden z těch příkazů? Možná mám narušenou integritu...(dpkg jsem již byl nucen užít) Ty balíky jinak musím smazat, protože včera mi došlo místo na disku a teď mi Update manager hlásí, že Tremulous aktualizace má jen 800kB. To je dle mě nesmysl. Dále vůbec nechápu, proč by to chtělo po upgrade příkazu aktualizovat Tremulous. Ten už je bůhví jak dlouho stejná verze. Jsem z toho volajaký zmetený bo Im total Greenhorn. Du radši udělat smetanový brambory a pořádný flákoty masa. Třeba se mi pak rozsvítí.

PS: A aby toho nebylo málo... smazal jsem ručně balíky rm /var/cache/apt-build/repository/*.deb, dal apt-build update, ale stále mi to nabízí balíky k aktualizaci i po apt-get update. ???

To je tak, když člověk dělá věci po ánu bez kafe. Pomohlo rm /var/cache/apt-build/repository/Packages.gz.
Ale teď:
elhalo stažení file:/var/cache/apt-build/repository/dists/apt-build/main/binary-amd64/Packages.gz  Soubor nebyl nalezen
Některé indexové soubory se nepodařilo stáhnout, jsou ignorovány, nebo jsou použity starší verze. Jak jej rebuildovat? Update nepomohl.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 13 Listopad 2009, 13:11:35
Ták! Pro zkoušku jsem si zkompiloval PulseAudio, PAMan, PADevChooser apod. a příslušný knihovny.
Výsledek: Zvuk už funguje pěkně (při pokusu vyloudit nějakej zvuk se začaly na 100% zatěžovat obě jádra CPU, pak bylo slyšet praskání a pak mrtvolný ticho, po čemž pak PA nenalezne do restartu PC zvukovku), teď se zdá, že to je v pohodě.
Ale když spustím "Volume control", dopadne to skoro jak předtím při pokusu cokoliv přehrát, ale s tím rozdílem, že zvuk nechcípne.

Alespoň nějaký zlepšení, ale stejně posílám PA do /dev/null, nic extra, co by mi bylo jakkoli k užitku, mi krom problémů oproti starý dobrý ALSe nic nenabízí.

Testovanej HW: viz. můj podpis
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Meharts 13 Listopad 2009, 13:31:29
Takže už mi funguje naprosto všechno
Zjistil jsem, že problém byl v nastavení architektury na gentoo FAQ jsem se dočetl, že pro procesory novější a gcc verzi 4.3 a vyšší je možné !! použít core2 namísto nocona což v mém případě by sice mělo fungovat, ale nefunguje mám gcc verzi 4.4.1 , ale pokud navolím typ nocona tak vše funguje jak má. Z toho usuzuji, že pokud máte problémy s kompilacemi tak v http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options (http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options) najděte podobné CPU (hlavní jsou instrukce MMX, SSE and SSE2 atd.) a do
Kód: [Vybrat]
/etc/apt/apt-build.conf si zvolte to podobné. A pokud vám to vychází na variantu
Citace
core2
Intel Core2 CPU with 64-bit extensions, MMX, SSE, SSE2, SSE3 and SSSE3 instruction set support
a nefunguje to jak má tak změnte z core2 na nocona.

Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 13 Listopad 2009, 13:44:02
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 13 Listopad 2009, 18:30:45
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
Počkej, jakej ovladač? Proprietární nezkompiluješ, na to neseženeš zdrojáky! A svobodnej bych radši kompiloval tradičním způsobem.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Janik 13 Listopad 2009, 20:08:46
aha dik blender skusim zo zdrojakou z netu. Inak Sun java ide tiez skompilovat  ;D . Inak neda sa nejak skompilovat cele ubuntu?

 ;D

Tak jo idem to zkusit na něčem nepotřebném. Tak točíme, točíme... ááá Totem!  ;D

Tak už to konfiguruje zatížení zatím len 50% :( To je nudá!

Zkusím u teho hrát Trem.
Mně to zatěžuje jen jedno jádro, na CPU mám kolem 60°C. Já chci topit víc, ať můžu vypnout kokotel ;D

Dobrej návod, ale vzhledem k tomu, že z mého C2D 2 GHz využiju leda tak 800 MHz každý jádro a naprosto mi to stačí, se k většímu výkonu nijak neženu... (tedy i vzhledem k tomu, že si kompilování užiju na Archu) btw, než jsem si koupil notebook, tak jsem si myslel, že díky němu ušetřím na topení :-) a on má, potvora, větrák do okna .-)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 16 Listopad 2009, 09:55:48
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
Počkej, jakej ovladač? Proprietární nezkompiluješ, na to neseženeš zdrojáky! A svobodnej bych radši kompiloval tradičním způsobem.

Svobodnej :)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: LuciusMare 16 Listopad 2009, 14:26:46
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
.. Proprietární nezkompiluješ, na to neseženeš zdrojáky! ...
Vážně? ;D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 16 Listopad 2009, 14:32:27
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
.. Proprietární nezkompiluješ, na to neseženeš zdrojáky! ...
Vážně? ;D

Teda dojedu z hodů a už se mi pletou kladné a záporné věci  ;D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 16 Listopad 2009, 16:44:25
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
Počkej, jakej ovladač? Proprietární nezkompiluješ, na to neseženeš zdrojáky! A svobodnej bych radši kompiloval tradičním způsobem.

Svobodnej :)
Jo tak to jó, ale na to bych radši zvolil standardní způsob kompilace.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: GdH 16 Listopad 2009, 17:56:38
Kdyby někdo chtěl poštvat apt-build na openoffice 3.1, malé info:
 
Zdrojáky 402MiB
Potřebné místo na disku přes 10GiB
Čas kompilace s instalací na Celeronu 2,6GHz: 52 hodin, střední optimalizace
Je třeba počítat s tím, že bez úpravy priority procesů bude jednojádrová PeC více než polovinu času opravdu dost zabržděná.

Dělal jsem to na dvakrát, při prvním pokusu jsem měl jen 6GiB na disku a to došlo už po prvním dni  ;D

A výsledek? Trošku lepší odezvu jsem z toho, zdá se, vytřískal :)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 16 Listopad 2009, 19:03:53
LOL.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Pavel Půlpán 16 Listopad 2009, 19:53:17
Jj OpenOffice je vskutku porod co se týče kompilace.
P4 3,06GHz HT s 1GB paměti, něco kolem 7 hodin. C2Q 2.66GHz s 8GB paměti zhruba 2 hodiny. Místa na disku je potřeba dost, udávají se 4GB, ale co vím tak s míň jak 8GB v kompilačním prostředí bych se do toho vůbec nepouštěl. ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 16 Listopad 2009, 20:04:43
Kdyby někdo chtěl poštvat apt-build na openoffice 3.1, malé info:
 
Zdrojáky 402MiB
Potřebné místo na disku přes 10GiB
Čas kompilace s instalací na Celeronu 2,6GHz: 52 hodin, střední optimalizace
Je třeba počítat s tím, že bez úpravy priority procesů bude jednojádrová PeC více než polovinu času opravdu dost zabržděná.

Dělal jsem to na dvakrát, při prvním pokusu jsem měl jen 6GiB na disku a to došlo už po prvním dni  ;D

A výsledek? Trošku lepší odezvu jsem z toho, zdá se, vytřískal :)
No vidíš, tak přece jen se to vyplatilo! ;D ;D ;D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Pavel Půlpán 16 Listopad 2009, 20:07:00
A ještě lepší odezvu "možná" vytřískáš, použiješ-li Go-oo (http://www.go-oo.org), než původní zdrojáky dodávané přímo ze Sunu. ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 17 Listopad 2009, 22:51:46
Takže dodatečný výběr/seznam optimalizace pro ten který procesor je ovlivněn i úrovněm optimalizace. Číže jsem zvolil střední a již nemám v seznamu optimalizaci vyloženě pro svůj procesor. Pokud to chcete změnit, je třeba úplně odstranit apt-build a znovu jej nainstalovat. Zeptá se opět na nastavení.
Je to 32b architekturou.


Tak jsem si rozbil závislosti a jiné věci na 64bit a už to nedal dokupy. Tak jsem vyzkoušel 32bit 9.10, ale je to pořád pro mě nepoužitelné, tak začínám kompilovat pulseaudio. Které předtim zkompilované chodilo dobře :)
Chyba bude jinde. Pulseaudio stále stejně blbne i zkompilované.

Zkusím opět dosud nevydané aktualizace. Nezabere-li...
...odcházím...



na 8.10.  ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 18 Listopad 2009, 01:12:56
Takže dodatečný výběr/seznam optimalizace pro ten který procesor je ovlivněn i úrovněm optimalizace. Číže jsem zvolil střední a již nemám v seznamu optimalizaci vyloženě pro svůj procesor. Pokud to chcete změnit, je třeba úplně odstranit apt-build a znovu jej nainstalovat. Zeptá se opět na nastavení.
Je to 32b architekturou.


Tak jsem si rozbil závislosti a jiné věci na 64bit a už to nedal dokupy. Tak jsem vyzkoušel 32bit 9.10, ale je to pořád pro mě nepoužitelné, tak začínám kompilovat pulseaudio. Které předtim zkompilované chodilo dobře :)
Chyba bude jinde. Pulseaudio stále stejně blbne i zkompilované.

Zkusím opět dosud nevydané aktualizace. Nezabere-li...
...odcházím...



na 8.10.  ;)
Zkusils smazat složku ~/.pulse? Když tak si PA odinstaluj, taky ho nemám a žiju :)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 18 Listopad 2009, 13:26:30
Takže dodatečný výběr/seznam optimalizace pro ten který procesor je ovlivněn i úrovněm optimalizace. Číže jsem zvolil střední a již nemám v seznamu optimalizaci vyloženě pro svůj procesor. Pokud to chcete změnit, je třeba úplně odstranit apt-build a znovu jej nainstalovat. Zeptá se opět na nastavení.
Je to 32b architekturou.


Tak jsem si rozbil závislosti a jiné věci na 64bit a už to nedal dokupy. Tak jsem vyzkoušel 32bit 9.10, ale je to pořád pro mě nepoužitelné, tak začínám kompilovat pulseaudio. Které předtim zkompilované chodilo dobře :)
Chyba bude jinde. Pulseaudio stále stejně blbne i zkompilované.

Zkusím opět dosud nevydané aktualizace. Nezabere-li...
...odcházím...



na 8.10.  ;)
Zkusils smazat složku ~/.pulse? Když tak si PA odinstaluj, taky ho nemám a žiju :)

Ano před instalací jsem ji smazal.
Dokonce jsem nahradil knihovnu libsdl za jinou libsdl, trocha to pomohlo, ale stability jako predtim jsem nedosahl. Nevydane aktualizace nepomohli. Pomohlo Kvejkuv OSS, ale to azs dela dodatecne problemy jinde a kuli 2min bootovani nebo zmene rozliseni proste na 9.10 32b peču!
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: vawaver 29 Listopad 2009, 23:35:25
Prosim poradite mi niekto aky typ procesoru zvolit pri instalaci pre moje CPU Q9300?
Dakujem za odpoved:
Kód: [Vybrat]
tony@tony-linuxserver:~$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Quad  CPU   Q9300  @ 2.50GHz
stepping : 7
cpu MHz : 2500.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 4
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips : 4999.85
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Quad  CPU   Q9300  @ 2.50GHz
stepping : 7
cpu MHz : 2500.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 3
cpu cores : 4
apicid : 3
initial apicid : 3
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips : 4999.42
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 2
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Quad  CPU   Q9300  @ 2.50GHz
stepping : 7
cpu MHz : 2500.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 1
cpu cores : 4
apicid : 1
initial apicid : 1
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips : 4999.41
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 3
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Quad  CPU   Q9300  @ 2.50GHz
stepping : 7
cpu MHz : 2500.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 2
cpu cores : 4
apicid : 2
initial apicid : 2
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips : 4999.42
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 29 Listopad 2009, 23:48:48
Prosim poradite mi niekto aky typ procesoru zvolit pri instalaci pre moje CPU Q9300?
Dakujem za odpoved:
Kód: [Vybrat]
tony@tony-linuxserver:~$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Quad  CPU   Q9300  @ 2.50GHz
stepping : 7
cpu MHz : 2500.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 4
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips : 4999.85
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Quad  CPU   Q9300  @ 2.50GHz
stepping : 7
cpu MHz : 2500.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 3
cpu cores : 4
apicid : 3
initial apicid : 3
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips : 4999.42
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 2
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Quad  CPU   Q9300  @ 2.50GHz
stepping : 7
cpu MHz : 2500.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 1
cpu cores : 4
apicid : 1
initial apicid : 1
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips : 4999.41
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 3
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Quad  CPU   Q9300  @ 2.50GHz
stepping : 7
cpu MHz : 2500.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 2
cpu cores : 4
apicid : 2
initial apicid : 2
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm tpr_shadow vnmi flexpriority
bogomips : 4999.42
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:
Zkusil bych buď nocona nebo core2 ;)
Co jsem koukal, Nocona je spíš o Xeonech, ale prej to některým lidem tady na vícejádrech funguje, Core2 by mělo bejt pro dvoujádra, ale...
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 30 Listopad 2009, 04:10:27
Teď jsem přišel na jednu zajímavou věc- zkuste si někdo takhle zkompilovat balík python2.5 a dejte si přitom volůme trochu doprava ;)
Při kompilaci probíhá spousta testů, z nichž některý jsou testy audiosystému, při nichž se z repráků začne linout jakýsi nadávání a dupání arabáka (nebo co to je), ale pšššt! :-D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Yontalcar 30 Listopad 2009, 10:52:58
Core2 by mělo bejt pro dvoujádra
Core 2 != 2 cores (2 jádra)
jsou Core 2 jednojádra (Core 2 Solo) a jednojádrové Core 2 prodávané jako Celeron (např. Celeron M540, který jsem měl v předchzím noťasu); Pentium Dual-Core patří taky k rodině Core2 procesorů
viz Wikipedia
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 01 Prosinec 2009, 18:18:29
Core2 by mělo bejt pro dvoujádra
Core 2 != 2 cores (2 jádra)
jsou Core 2 jednojádra (Core 2 Solo) a jednojádrové Core 2 prodávané jako Celeron (např. Celeron M540, který jsem měl v předchzím noťasu); Pentium Dual-Core patří taky k rodině Core2 procesorů
viz Wikipedia
Díky za info! Zkoušel jsem to i s noconou, funguje to bezproblémově ;)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Šuohob 06 Prosinec 2009, 14:01:23
Podarilo se nekomu zkompilovat Amarok 2.2.1?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 18 Prosinec 2009, 09:37:28
Podarilo se nekomu zkompilovat Amarok 2.2.1?
Nezkoušel jsem, ale spíš bych bejt Tebou zkompiloval Xine (na něm běží i Amarok2, ne?), knihovny kolem něj i kolem KDE.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: phplus 18 Prosinec 2009, 10:40:46
Podarilo se nekomu zkompilovat Amarok 2.2.1?
Nezkoušel jsem, ale spíš bych bejt Tebou zkompiloval Xine (na něm běží i Amarok2, ne?), knihovny kolem něj i kolem KDE.
To snad ne. :)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 18 Prosinec 2009, 12:22:02
Podarilo se nekomu zkompilovat Amarok 2.2.1?
Nezkoušel jsem, ale spíš bych bejt Tebou zkompiloval Xine (na něm běží i Amarok2, ne?), knihovny kolem něj i kolem KDE.
To snad ne. :)
Nebo s jakým motorem běží? V Ubuntu jsem jej po krátký zkoušce následovaný zklamáním permanentně odstranit a nahradil jej starou dobrou verzí 1.4, kterou taky mám ne Debianu, proto to nevím.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: q66 18 Prosinec 2009, 15:36:15
Podarilo se nekomu zkompilovat Amarok 2.2.1?
Nezkoušel jsem, ale spíš bych bejt Tebou zkompiloval Xine (na něm běží i Amarok2, ne?), knihovny kolem něj i kolem KDE.
To snad ne. :)
Nebo s jakým motorem běží? V Ubuntu jsem jej po krátký zkoušce následovaný zklamáním permanentně odstranit a nahradil jej starou dobrou verzí 1.4, kterou taky mám ne Debianu, proto to nevím.

já myslím že běží nad phononem, který pak běží nad gstreamer/xine/alsa/oss atd
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: phplus 18 Prosinec 2009, 15:51:16
Podarilo se nekomu zkompilovat Amarok 2.2.1?
Nezkoušel jsem, ale spíš bych bejt Tebou zkompiloval Xine (na něm běží i Amarok2, ne?), knihovny kolem něj i kolem KDE.
To snad ne. :)
Nebo s jakým motorem běží? V Ubuntu jsem jej po krátký zkoušce následovaný zklamáním permanentně odstranit a nahradil jej starou dobrou verzí 1.4, kterou taky mám ne Debianu, proto to nevím.

já myslím že běží nad phononem, který pak běží nad gstreamer/xine/alsa/oss atd
To už zní lépe. :)
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Šuohob 20 Prosinec 2009, 12:09:31
Funguje zkompilovaný Compiz lépe? je to znát? Jen se chci dopředu zeptat, abych s nadšením několik hodin neočekával nějaké výrazné zlepšení a ono by pak přišlo houby :D
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: GdH 20 Prosinec 2009, 12:45:17
Funguje zkompilovaný Compiz lépe? je to znát? Jen se chci dopředu zeptat, abych s nadšením několik hodin neočekával nějaké výrazné zlepšení a ono by pak přišlo houby :D

Na sestavě co mám v podpisu se to neprojevilo vůbec. Ono zkrátka nebylo co zlepšovat, lítalo to jako z praku i před kompilací.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Šuohob 20 Prosinec 2009, 13:24:21
Funguje zkompilovaný Compiz lépe? je to znát? Jen se chci dopředu zeptat, abych s nadšením několik hodin neočekával nějaké výrazné zlepšení a ono by pak přišlo houby :D

Na sestavě co mám v podpisu se to neprojevilo vůbec. Ono zkrátka nebylo co zlepšovat, lítalo to jako z praku i před kompilací.

mě taky Compiz funguje dobře, ale má u mě jednu jedinou drobnou vadu na kráse viz http://forum.ubuntu.cz/index.php/topic,42294.msg308804.html#msg308804, tak přemýšlím o kompilaci
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: NoWin 30 Prosinec 2009, 18:58:30
Funguje zkompilovaný Compiz lépe? je to znát? Jen se chci dopředu zeptat, abych s nadšením několik hodin neočekával nějaké výrazné zlepšení a ono by pak přišlo houby :D

Na sestavě co mám v podpisu se to neprojevilo vůbec. Ono zkrátka nebylo co zlepšovat, lítalo to jako z praku i před kompilací.

mě taky Compiz funguje dobře, ale má u mě jednu jedinou drobnou vadu na kráse viz http://forum.ubuntu.cz/index.php/topic,42294.msg308804.html#msg308804, tak přemýšlím o kompilaci
Zkusils? Možná to touhle kompilací nespravíš, spíš bych to viděl na klasickou kompilaci z čerstvých zdrojáků (v Ubuntu to je zastaralý).
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: sabraq 03 Únor 2010, 23:37:38
Provedl jsem :

sudo apt-build install --reinstall pulseaudio - vyplivlo to nápovědu a nic, bez --reinstall proběhlo stažení a kompilace, potom uložení do repozitáře a potom ticho po pěšině. Podle mně žádný reinstall neproběhl, pouze když se podívám synapticem, mám na výběr ze tří verzí - (karmic), (karmic-updates) a (), což bude asi z toho repozitáře ve /var. Akorát nevím jak tu verzi vnutit.

EDIT: Ovšem, pokud se ta formule otočí dle nápovědy na sudo apt-build --reinstall install pulseaudio, tak už se něco děje  :) :

Kód: [Vybrat]
(Čtu databázi ... nyní je nainstalováno 164046 souborů a adresářů.)
Připravuji nahrazení pulseaudio 1:0.9.19-0ubuntu4.1 (pomocí .../pulseaudio_1%3a0.9.19-0ubuntu4.1_i386.deb) ...
 * PulseAudio configured for per-user sessions
Rozbaluji náhradu pulseaudio ...
Zpracování spouštěčů pro balík man-db ...
Zpracování spouštěčů pro balík ureadahead ...
ureadahead will be reprofiled on next reboot
Nastavuji balík pulseaudio (1:0.9.19-0ubuntu4.1) ...
 * PulseAudio configured for per-user sessions

Zpracování spouštěčů pro balík libc-bin ...
ldconfig deferred processing now taking place
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Roman Vacho 04 Únor 2010, 00:42:35
A jede?
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: sabraq 04 Únor 2010, 13:26:42
No pulseaudio jede, ale nepoznám která verze ;D
Název: Kompilace závislostí
Přispěvatel: MichalekII 27 Září 2010, 09:28:46
Jak si to zde pročítám tak zde není nikde zmínka o kompilaci závislostí (nebo jsem slepý). Ono je totiž moc hezké, že si zkompilujete program, ale k čemu je to dobré, když tento program používá někdy až desítky dalších knihoven a podpůrných programů které fungují rychlostí splašeného šneka.

Seznam potřebných balíků, které je dobré také zkompilovat si můžete zjistit v Synaptic-ku nebo v příkazové řádce:
Kód: [Vybrat]
$ aptitude show název_balíku

nebo můžete využít můj jednoduchý skriptík. skript vyžaduje nainstalovaný balík php5-cli a samozřejmě apt-build.

download: http://www.topolany.net/download/apt-build-analyse/apt-build-analyse

příklad stažení a instalace:
Kód: [Vybrat]
$ sudo apt-get install apt-build
$ sudo apt-build install --reinstall php5-cli
$ cd /usr/bin
$ sudo wget http://www.topolany.net/download/apt-build-analyse/apt-build-analyse
$ sudo chmod 751 apt-build-analyse

______________________________________________________________________________________________________
Použití skriptu je jednoduché, spouštíte skript s parametrem již nainstalovaného balíku, skript vypíše závislosti balíku.
Tyto potom pomocí apt-build postupně zkompilujete a přeinstalujete.
POZOR kompilace některých knihoven může být mnohem delší než kompilace samotného programu.

příklad:
Kód: [Vybrat]
$ apt-build install --reinstall jméno_balíku
$ apt-build-analyse jméno_balíku

Instalace balíku a vypsání závislostí
(zkompiluje a nainstaluje balík, potom vypíše závislosti ... totéž co předchozí příklad jen nemusíte ručně volat apt-build)

Kód: [Vybrat]
$ sudo apt-build-analyse jméno_balíku -i

Instalace balíku a všech jeho závislostí
(zkompiluje a nainstaluje balík, potom vyhledá všechny jeho závislosti, které také zkompiluje a nainstaluje, pokud byl závislý balík již jednou kompilován, tak je jeho kompilace a instalace přeskočena)

Kód: [Vybrat]
sudo apt-build-analyse jméno_balíku -a
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Odra 20 Listopad 2010, 15:34:54
Zdravím,

díky za tip s vypsáním závislostí daného programu, ale lze nějak jednodušeji spustit kompilaci daných závislostí než jedu po druhé?

Lze nějak napsat příkaz, který by uměl toto: apt-build --reinstall (install) (knihoven/programů vyhozených tím to scriptem -
Citace
download: http://intranet.topolany.net/download/apt-build-analyse/apt-build-analyse
) ???
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: MichalekII 27 Listopad 2010, 15:41:17
díky za tip s vypsáním závislostí daného programu, ale lze nějak jednodušeji spustit kompilaci daných závislostí než jedu po druhé?

Ano, dnes jsem na web umístil novou verzi skriptu, který toto již nějakým způsobem umí, pokud jste si můj skript již dříve stáhli tak jej prostě smažte stáhněte si  jeho poslední verzi. Odkaz  ke stažení a příklady použití viz můj původní příspěvek.

Připomínky k fungování sem do vlákna nebo přímo PM, díky.
Název: Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: karlitos 17 Květen 2011, 13:39:49
Zdravim

Snazim se o kompilaci wmctrl s pomoci patche odsud : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=465109 (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=465109) s pomoci apt-build ale bohuzel se mi to nedari :
Kód: [Vybrat]
$ sudo apt-build install --reinstall  --build-only  --noupdate  --patch ~/Plocha/wmctrl.diffs wmctrl
-----> Downloading source wmctrl (1.07-6) <-----
Čtu seznamy balíků... Hotovo
Vytvářím strom závislostí       
Čtu stavové informace... Hotovo
Přeskakuji dříve stažený soubor „wmctrl_1.07-6.dsc“
Přeskakuji dříve stažený soubor „wmctrl_1.07.orig.tar.gz“
Přeskakuji dříve stažený soubor „wmctrl_1.07-6.diff.gz“
Potřebuji stáhnout 0B zdrojových archivů.
Přeskakuji rozbalení již rozbaleného zdroje v wmctrl-1.07
N: Ignoring file 'apt-build' in directory '/etc/apt/sources.list.d/' as it has no filename extension
-----> Building wmctrl <-----
-----> Patching (/home/babicka/Plocha/wmctrl.diffs) <-----
patching file Makefile.am
Reversed (or previously applied) patch detected!  Assume -R? [n] y
patching file Makefile.in
Reversed (or previously applied) patch detected!  Assume -R? [n] y
patching file debian/changelog
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file debian/changelog.rej
patching file debian/control
Reversed (or previously applied) patch detected!  Assume -R? [n] y
patching file main.c
Reversed (or previously applied) patch detected!  Assume -R? [n] y
Hunk #6 succeeded at 735 with fuzz 1 (offset 58 lines).
Hunk #7 succeeded at 968 (offset 58 lines).
patching file wmctrl.1
Hunk #1 succeeded at 198 with fuzz 1 (offset 77 lines).
----> Cleaning up object files <-----
Cleaning in directory .
dh_testdir
dh_testroot
rm -f build-stamp
# Add here commands to clean up after the build process.
/usr/bin/make distclean
make[1]: Entering directory `/var/cache/apt-build/build/wmctrl-1.07'
make[1]: *** No rule to make target `distclean'.  Stop.
make[1]: Leaving directory `/var/cache/apt-build/build/wmctrl-1.07'
make: [clean] Error 2 (ignored)
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
Error while building wmctrl!
Sorry, no package to install.

Kdyz jsem googlil narazil jsem na neco tady : http://mydebian.blogdns.org/?p=227 (http://mydebian.blogdns.org/?p=227) tak jsem zkusil :
Citace
I solved by commenting “$(MAKE) distclean” in ./debian/rules.
ale ve vysledku to nepomohlo :
Kód: [Vybrat]
$ sudo apt-build install --reinstall  --build-only  --noupdate  --patch ~/Plocha/wmctrl.diffs wmctrl
-----> Downloading source wmctrl (1.07-6) <-----
Čtu seznamy balíků... Hotovo
Vytvářím strom závislostí       
Čtu stavové informace... Hotovo
Přeskakuji dříve stažený soubor „wmctrl_1.07-6.dsc“
Přeskakuji dříve stažený soubor „wmctrl_1.07.orig.tar.gz“
Přeskakuji dříve stažený soubor „wmctrl_1.07-6.diff.gz“
Potřebuji stáhnout 0B zdrojových archivů.
Přeskakuji rozbalení již rozbaleného zdroje v wmctrl-1.07
N: Ignoring file 'apt-build' in directory '/etc/apt/sources.list.d/' as it has no filename extension
-----> Building wmctrl <-----
-----> Patching (/home/babicka/Plocha/wmctrl.diffs) <-----
patching file Makefile.am
patching file Makefile.in
patching file debian/changelog
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file debian/changelog.rej
patching file debian/control
patching file main.c
Hunk #6 succeeded at 738 with fuzz 1 (offset 58 lines).
Hunk #7 succeeded at 1029 (offset 58 lines).
patching file wmctrl.1
Hunk #1 succeeded at 205 with fuzz 1 (offset 84 lines).
----> Cleaning up object files <-----
Cleaning in directory .
dh_testdir
dh_testroot
rm -f build-stamp
# Add here commands to clean up after the build process.
#-/usr/bin/make distclean
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
Error while building wmctrl!
Sorry, no package to install.

Tak jsem v tom patchi zkusil jeste vymazat vsechny ty radky kde se patchuje changelog coz pomohlo jen temporarne :
Kód: [Vybrat]
sudo apt-build install --reinstall  --build-only  --noupdate  --patch ~/Plocha/wmctrl.diffs wmctrl
-----> Downloading source wmctrl (1.07-6) <-----
Čtu seznamy balíků... Hotovo
Vytvářím strom závislostí       
Čtu stavové informace... Hotovo
Přeskakuji dříve stažený soubor „wmctrl_1.07-6.dsc“
Přeskakuji dříve stažený soubor „wmctrl_1.07.orig.tar.gz“
Přeskakuji dříve stažený soubor „wmctrl_1.07-6.diff.gz“
Potřebuji stáhnout 0B zdrojových archivů.
Přeskakuji rozbalení již rozbaleného zdroje v wmctrl-1.07
N: Ignoring file 'apt-build' in directory '/etc/apt/sources.list.d/' as it has no filename extension
-----> Building wmctrl <-----
-----> Patching (/home/babicka/Plocha/wmctrl.diffs) <-----
patching file Makefile.am
Reversed (or previously applied) patch detected!  Assume -R? [n] y
patching file Makefile.in
Reversed (or previously applied) patch detected!  Assume -R? [n] y
patching file debian/control
Reversed (or previously applied) patch detected!  Assume -R? [n] y
patching file main.c
Reversed (or previously applied) patch detected!  Assume -R? [n] y
Hunk #6 succeeded at 735 with fuzz 1 (offset 58 lines).
Hunk #7 succeeded at 968 (offset 58 lines).
patching file wmctrl.1
Hunk #1 succeeded at 212 with fuzz 1 (offset 91 lines).
dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor): -Wl,-Bsymbolic-functions
dpkg-buildpackage: source package wmctrl
dpkg-buildpackage: source version 1.07-6local1
dpkg-buildpackage: source changed by root <root@babiccin-pocitac>
dpkg-buildpackage: host architecture i386
 dpkg-source --before-build wmctrl-1.07
 debian/rules clean
dh_testdir
dh_testroot
rm -f build-stamp
# Add here commands to clean up after the build process.
#-/usr/bin/make distclean
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
 debian/rules build
dh_testdir
# Add here commands to configure the package.
CFLAGS="-Wall -g -O2" ./configure --host=i686-linux-gnu --build=i686-linux-gnu --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-linux-gnu-gcc... i686-linux-gnu-gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-linux-gnu-gcc accepts -g... yes
checking for i686-linux-gnu-gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of i686-linux-gnu-gcc... gcc3
checking how to run the C preprocessor... i686-linux-gnu-gcc -E
checking for X... libraries , headers
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for pkg-config... /usr/bin/pkg-config
checking for GLIB - version >= 2.0.0... yes (version 2.26.1)
configure: creating ./config.status
config.status: creating Makefile
config.status: executing depfiles commands
dh_testdir
# Add here commands to compile the package.
/usr/bin/make
make[1]: Entering directory `/var/cache/apt-build/build/wmctrl-1.07'
if i686-linux-gnu-gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"wmctrl\" -DVERSION=\"1.07\"  -I. -I.  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -Wall -Wall -g -O2 -MT main.o -MD -MP -MF ".deps/main.Tpo" \
  -c -o main.o `test -f 'main.c' || echo './'`main.c; \
then mv -f ".deps/main.Tpo" ".deps/main.Po"; \
else rm -f ".deps/main.Tpo"; exit 1; \
fi
main.c: In function ‘window_set_title’:
main.c:651: warning: pointer targets in passing argument 7 of ‘XChangeProperty’ differ in signedness
/usr/include/X11/Xlib.h:2075: note: expected ‘const unsigned char *’ but argument is of type ‘gchar *’
main.c:658: warning: pointer targets in passing argument 7 of ‘XChangeProperty’ differ in signedness
/usr/include/X11/Xlib.h:2075: note: expected ‘const unsigned char *’ but argument is of type ‘gchar *’
main.c:665: warning: pointer targets in passing argument 7 of ‘XChangeProperty’ differ in signedness
/usr/include/X11/Xlib.h:2075: note: expected ‘const unsigned char *’ but argument is of type ‘gchar *’
main.c:672: warning: pointer targets in passing argument 7 of ‘XChangeProperty’ differ in signedness
/usr/include/X11/Xlib.h:2075: note: expected ‘const unsigned char *’ but argument is of type ‘gchar *’
main.c: In function ‘window_set_mini_icon’:
main.c:682: error: ‘XpmImage’ undeclared (first use in this function)
main.c:682: error: (Each undeclared identifier is reported only once
main.c:682: error: for each function it appears in.)
main.c:682: error: expected ‘;’ before ‘xpmImage’
main.c:683: error: ‘XpmInfo’ undeclared (first use in this function)
main.c:683: error: expected ‘;’ before ‘xpmInfo’
main.c:685: error: ‘CARD32’ undeclared (first use in this function)
main.c:685: error: ‘xpmColors’ undeclared (first use in this function)
main.c:692: warning: implicit declaration of function ‘XpmReadFileToXpmImage’
main.c:692: error: ‘xpmImage’ undeclared (first use in this function)
main.c:692: error: ‘xpmInfo’ undeclared (first use in this function)
main.c:694: warning: ‘return’ with a value, in function returning void
main.c:698: error: expected expression before ‘)’ token
make[1]: *** [main.o] Error 1
make[1]: Leaving directory `/var/cache/apt-build/build/wmctrl-1.07'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
----> Cleaning up object files <-----
Cleaning in directory .
dh_testdir
dh_testroot
rm -f build-stamp
# Add here commands to clean up after the build process.
#-/usr/bin/make distclean
dh_clean
dh_clean: Compatibility levels before 5 are deprecated.
Error while building wmctrl!
Sorry, no package to install.

Tak ted uz vazne nevim co delam blbe, poradil by nekdo ? diky K
Název: --target-release
Přispěvatel: MichalekII 28 Prosinec 2011, 21:36:01
Poslední dobou mi apt-build nefunguje bez přidání parametru --target-release. Vím co mám nainstalované a vím co tam psát, ale rád bych upravil svůj automatický script aby si tento parametr doplňoval sám. A tady jsem narazil, nevím kde a jak tento parametr v systému vyčíst. (testuji na 10.04 LTS)

Proto prosím o radu, kde (případně) jak tuto informaci v systému získat.
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: aloisam 29 Prosinec 2011, 23:50:06
je to v souboru /etc/lsb-release. Doufám, že je to tak u všech verzí..
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: otaj 31 Prosinec 2011, 06:35:52
No, vzhledem k tomu, že toto je sekce Návody tipy a triky, troufnu si tvrdit, že toto může někomu pomoct. (ačkoli by to možná mohlo patřit i do vylitých srdíček)

Nejdříve v pohodě, zkusíme něco málo překompilovat a uvidíme, jak se nám zrychlí systém. Nastavit automatický repozitář? Jasně že jo, přece se s tím nebudu piplat. No,  každopádně nejdříve na mě terminál řve, že tenhle repozitář není důvěryhodný. Samotnýmu by mi to nevadilo, což o to, já sám sobě věřím, každopádně apt-getu a apt-buildu to značně vadí. (snaží se balíky nahrazovat těma z důvěryhodných repozitářů, build mi je jenom udělá, ale nenainstaluje (i se zapnutým --reinstall))

No, tak což o to, repozitář si můžu sám podepsat viz http://ubuntuforums.org/showthread.php?t=1090731
Každopádně pořád mi to házelo nějakou nesmyslnou chybu. Po několika pokusech (rozuměj strávené cca 4-5 hodiny přepisováním /etc/apt/sources.list, sudo apt-get update, sudo gedit Release a nadáváním) jsem se na to vykašlal a řekl jsem si, že přece musí existovat nějaký soft na vytvoření repozitáře. Poté, co jsem po další cca půlhodince rozšapal reprepro (chybka s tím, že apt-get pořád chce i386 strukturu, i když používám jenom amd64) jsem si ještě přidal nakonec bloku install v souboru /usr/bin/apt-build magický příkaz
Kód: [Vybrat]
!system "cd /home/rep && reprepro includedeb oneiric $conf{repository_dir}/*.deb && apt-get update &&apt-get upgrade"; a všechno konečně šlape jak má (chá, a navíc nemusím používat --reinstall)

Každopádně, při pročítáni /usr/bin/apt-build jsem narazil na něco zajímavého

Zaprvé je zde vidět, jak je implementováno
Kód: [Vybrat]
apt-build worldale co víc, je zde i "tajný" příkaz, který se neobjevuje v nápovědě
Kód: [Vybrat]
apt-build moo
Have fun, doufám, že mé řešení s reprepro někomu pomůže
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: MichalekII 01 Leden 2012, 13:37:27
S tím "reprepro" je to fajn - testováno na debian testing a Linux Mint DE, ovšem na ubuntu 10.04 LTS to stále blbne, balíky se sice nainstalují ale jak apt tak i správce aktualizací mi je nabízí k instalaci (aktualizaci) stále dokola ve stejné verzi
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: otaj 01 Leden 2012, 17:17:02
Ale apt-build je přece tak jak tak zkompiluje do stejne verze. Balik se oficialne tvari, ze je uplne stejnej jako ten, co uz mas nainstalovanej, rozdil je akorat v tom, ze sis ho sam zkompiloval, tzn vetsinou Ty ten rozdil pri aplikovani poznas jen podle velikosti. Ta by se totiz mela nejakym zpusobem zmenit.
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: MichalekII 02 Leden 2012, 20:53:15
Ale apt-build je přece tak jak tak zkompiluje do stejne verze. Balik se oficialne tvari, ze je uplne stejnej jako ten, co uz mas nainstalovanej, rozdil je akorat v tom, ze sis ho sam zkompiloval, tzn vetsinou Ty ten rozdil pri aplikovani poznas jen podle velikosti. Ta by se totiz mela nejakym zpusobem zmenit.

To jsme si trochu nerozuměli ;-) to je mi jasné.
Můj problém spočívá v tom, že když tyto balíčky nainstaluji a je jedno jakým nástrojem (apt-get, aptitude nebo správce aktualizací) tak jsou mi stále dokola nabýzeny k instalaci (aktualici) a je jedno, že jejich instalaci provedu třeba 10x dokola.
Dělá mi to tak pouze jediný počítač na kterém je ubuntu 10.04 na ostatních (debian testing) to však funguje správně, prostě se to z toho lokálního repositáře nainstaluje a je klid.
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: otaj 02 Leden 2012, 21:05:09
Ach, tak to pak jo -> Máš adresu repozitáře (deb file:/blabla...) jako PRVNÍ řádek v sources.list? Máš to vůbec v sources.list?
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: MichalekII 21 Duben 2014, 19:23:38
Apt-build na 64bit systému 14.04 trošku zlobí. Pro bezchybné fungování je třeba odstranit podporu architektury i386.

do terminálu zadejte příkaz:
dpkg --remove-architecture i386
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: sabraq 21 Duben 2014, 20:29:41
Ty to používáš?
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: MichalekII 22 Duben 2014, 20:12:55
Ano, používám. Pochvaluji si. Ovšem někdy jsou s tím potíže, pravděpodobně proto, že zdrojové balíčky jsou dosti odfláknuté.
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Pacik 23 Duben 2014, 18:38:17
Zdravím,
jakou architekturu zvolit pro AMD Phenom x3 8750 BE?
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: MichalekII 23 Duben 2014, 19:32:39
Zdravím,
jakou architekturu zvolit pro AMD Phenom x3 8750 BE?

Když zadáte "native" tak nic nepokazíte, kompilátor provede vhodná nastavení právě pro Váš systém
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: marun 23 Duben 2014, 19:58:59
já s tím native mám spíš negativní skušenosti když jsem s tím kompiloval jeden benchmark tak byl ještě pomalejší
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: MichalekII 24 Duben 2014, 08:16:40
V tom případě bych volil  -march=amdfam10
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Pacik 24 Duben 2014, 15:39:55
Děkuji, zvolil jsem amdfam10 , tak to snad půjde :-)
Název: Re:apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
Přispěvatel: Amigo 04 Září 2016, 18:26:05
Tak jsem letos narazil při listování na tento apt-build, a chci se zeptat jako v podstatě newbee jestli se do toho mám pustit pro Ubuntu 14.4, případně 16.04,  a jestli ještě najdu i ty odkazy jako funkční? Nechci stahovat pokud by to už nemělo smysl.
Díky za rady